function [consumer_welfare_big_market consumer_welfare_small_market downstream_profits upstream_fee_revenue advertising_revenue time_watched market_share_big_market market_share_small_market consumer_buys_big_market consumer_buys_small_market prices]=bargaining_welfare_measures(bundles,input_cost,regulation_option,preferences)

beta_i_big_market=preferences{1};
channels_utility_big_market=preferences{2};
pre_gamma_big_market=preferences{3};
beta_i_small_market=preferences{4};
channels_utility_small_market=preferences{5};
pre_gamma_small_market=preferences{6};
logit_var=preferences{7};
market_size=preferences{8};
utility_constants=preferences{9};

if (regulation_option==1)
p1=sum(input_cost(:,1))*1.5;
p2=sum(input_cost(:,2))*1.5;
p3=sum(input_cost(:,3))*1.5;
p4=sum(input_cost(:,4))*1.5;
last_prices={p1,p2,p3,p4};
elseif (regulation_option==2)
    try 
    load last_prices_bsp
    catch
    p1=[15 30];
    p2=[15 30];
    p3=[15 30];
    p4=[15 30];
    last_prices={p1,p2,p3,p4};
    end    

elseif (regulation_option==3)

    load start_tt_prices
    last_prices={p1,p2,p3,p4};

elseif (regulation_option==4)
    try 
        load last_prices_alc
    catch
p1=[input_cost(:,1); 15];
p2=[input_cost(:,2); 15];
p3=[input_cost(:,3); 15];
p4=[input_cost(:,4); 15];
last_prices={p1,p2,p3,p4};
    end
end

%Compute equilibrium prices

[downstream_profits upstream_profits prices market_share_big_market market_share_small_market consumer_buys_big_market consumer_buys_small_market time_watched]=bargaining_downstream_equilibrium(last_prices,bundles,input_cost,regulation_option,preferences,16);


if (regulation_option==1)
    
    
    consumer_utility_big_market_bundling(:,1)= utility_constants(1) + sum(channels_utility_big_market,2) + beta_i_big_market*prices(1);
    consumer_utility_big_market_bundling(:,2)= utility_constants(3) + sum(channels_utility_big_market,2) + beta_i_big_market*prices(3);
    consumer_utility_big_market_bundling(:,3)= utility_constants(4) + sum(channels_utility_big_market,2) + beta_i_big_market*prices(4);
    
    consumer_welfare_big_market = log((1 + sum(exp(consumer_utility_big_market_bundling.*(1/logit_var)),2)).^logit_var) ./ -beta_i_big_market  - (logit_var*.55721./ -beta_i_big_market);
    
    consumer_utility_small_market(:,1)= utility_constants(2) + sum(channels_utility_small_market,2) + beta_i_small_market*prices(2);
    consumer_utility_small_market(:,2)= utility_constants(3) + sum(channels_utility_small_market,2) + beta_i_small_market*prices(3);
    consumer_utility_small_market(:,3)= utility_constants(4) + sum(channels_utility_small_market,2) + beta_i_small_market*prices(4);
    
    consumer_welfare_small_market = log((1 + sum(exp(consumer_utility_small_market.*(1/logit_var)),2)).^logit_var) ./ -beta_i_small_market - (logit_var*.55721./ -beta_i_small_market);
    
    time_watched = bargaining_alc_time_watched_mex(pre_gamma_small_market,pre_gamma_big_market,consumer_buys_small_market,consumer_buys_big_market,market_share_small_market,market_share_big_market,regulation_option,market_size);
    ad_coefficients=preferences{10};
    advertising_revenue = ad_coefficients.*(100*time_watched);
    
    upstream_fee_revenue =  upstream_profits - sum(market_size)*length(market_share_big_market(:,1))*ad_coefficients.*(100*time_watched);

    elseif (regulation_option==2)   
    
    p1=prices(1:2);
    p2=prices(3:4);
    p3=prices(5:6);
    p4=prices(7:8);
        
    nest_var=.3;
    mu_eps=1/logit_var;
    
     [i_top_ten channel_is_top_ten]=bargaining_bsp_preliminaries(bundles,channels_utility_big_market,channels_utility_small_market);
       
      for j=1:length(beta_i_big_market)

            pre_utility_big_market(j,1,1)=exp((1/nest_var)*(sum(channels_utility_big_market(j,i_top_ten(j,:,1)))+beta_i_big_market(j)*p1(1)));
            pre_utility_big_market(j,2,1)=exp((1/nest_var)*(channels_utility_big_market(j,:)*bundles(:,1)+beta_i_big_market(j)*p1(2)));

            pre_utility_big_market(j,1,2)=exp((1/nest_var)*(sum(channels_utility_big_market(j,i_top_ten(j,:,3)))+beta_i_big_market(j)*p3(1)));
            pre_utility_big_market(j,2,2)=exp((1/nest_var)*(channels_utility_big_market(j,:)*bundles(:,3)+beta_i_big_market(j)*p3(2)));

            pre_utility_big_market(j,1,3)=exp((1/nest_var)*(sum(channels_utility_big_market(j,i_top_ten(j,:,4)))+beta_i_big_market(j)*p4(1)));
            pre_utility_big_market(j,2,3)=exp((1/nest_var)*(channels_utility_big_market(j,:)*bundles(:,4)+beta_i_big_market(j)*p4(2)));

            cable_denominator_big_market(j)=sum( pre_utility_big_market(j,:,1) );
            directv_denominator_big_market(j)=sum( pre_utility_big_market(j,:,2) );
            dish_denominator_big_market(j)=sum( pre_utility_big_market(j,:,3) );

            nest_utility_big_market(j,1) = exp((utility_constants(1) + (nest_var)*log(cable_denominator_big_market(j)))*mu_eps);
            nest_utility_big_market(j,2) = exp((utility_constants(3) + (nest_var)*log(directv_denominator_big_market(j)))*mu_eps);
            nest_utility_big_market(j,3) = exp((utility_constants(4) + (nest_var)*log(dish_denominator_big_market(j)))*mu_eps);

            denominator_big_market(j) = 1+sum(nest_utility_big_market(j,:));

      end

     for j=1:length(beta_i_small_market)

            pre_utility_small_market(j,1,1)=exp((1/nest_var)*(sum(channels_utility_small_market(j,i_top_ten(j,:,1)))+beta_i_small_market(j)*p1(1)));
            pre_utility_small_market(j,2,1)=exp((1/nest_var)*(channels_utility_small_market(j,:)*bundles(:,1)+beta_i_small_market(j)*p1(2)));

            pre_utility_small_market(j,1,2)=exp((1/nest_var)*(sum(channels_utility_small_market(j,i_top_ten(j,:,3)))+beta_i_small_market(j)*p3(1)));
            pre_utility_small_market(j,2,2)=exp((1/nest_var)*(channels_utility_small_market(j,:)*bundles(:,3)+beta_i_small_market(j)*p3(2)));

            pre_utility_small_market(j,1,3)=exp((1/nest_var)*(sum(channels_utility_small_market(j,i_top_ten(j,:,4)))+beta_i_small_market(j)*p4(1)));
            pre_utility_small_market(j,2,3)=exp((1/nest_var)*(channels_utility_small_market(j,:)*bundles(:,4)+beta_i_small_market(j)*p4(2)));

            cable_denominator_small_market(j)=sum( pre_utility_small_market(j,:,1) );
            directv_denominator_small_market(j)=sum( pre_utility_small_market(j,:,2) );
            dish_denominator_small_market(j)=sum( pre_utility_small_market(j,:,3) );

            nest_utility_small_market(j,1) = exp((utility_constants(1) + (nest_var)*log(cable_denominator_small_market(j)))*mu_eps);
            nest_utility_small_market(j,2) = exp((utility_constants(3) + (nest_var)*log(directv_denominator_small_market(j)))*mu_eps);
            nest_utility_small_market(j,3) = exp((utility_constants(4) + (nest_var)*log(dish_denominator_small_market(j)))*mu_eps);

            denominator_small_market(j) = 1+sum(nest_utility_small_market(j,:));

     end
      
        consumer_welfare_big_market = log((1 + sum(nest_utility_big_market,2)).^logit_var) ./ -beta_i_big_market   - (logit_var*.55721./ -beta_i_big_market);
        consumer_welfare_small_market = log((1 + sum(nest_utility_small_market,2)).^logit_var) ./ -beta_i_small_market   - (logit_var*.55721./ -beta_i_small_market);
        
    ad_coefficients=preferences{10};
    advertising_revenue = ad_coefficients.*(100*time_watched);
    
    upstream_fee_revenue =  upstream_profits - sum(market_size)*length(market_share_big_market(:,1))*ad_coefficients.*(100*time_watched);
    
        
elseif (regulation_option==3)     
    load tt_parameters
    number_of_packages=31;
    
    p1=prices(1:6);
    p2=prices(7:12);
    p3=prices(13:18);
    p4=prices(19:24);
    
    for k=1:number_of_packages
        p1_package(k)=p1(1:5)*new_packages(k,:)';
        p2_package(k)=p2(1:5)*new_packages(k,:)';
        p3_package(k)=p3(1:5)*new_packages(k,:)';
        p4_package(k)=p4(1:5)*new_packages(k,:)';
    end
    
    nest_var=.1;
    
    [time_watched_big_market time_watched_small_market]=bargaining_tt_time_watched(bundles,market_share_big_market,market_share_small_market,pre_gamma_big_market,pre_gamma_small_market,market_size,in_package,new_packages);
    time_watched=(market_size(1)*mean(time_watched_big_market)' + market_size(2)*mean(time_watched_small_market)')/(sum(market_size));

    simulations_big_market=length(beta_i_big_market);
    mu_eps=1/logit_var;
    
            for j=1:simulations_big_market
            for k=1:number_of_packages
            package_utility_big_market(j,k,1) = exp((1/nest_var)*(sum( bundles(:,1)'.*in_package(k,:).*channels_utility_big_market(j,:) ) + p1_package(k)*beta_i_big_market(j)));
            package_utility_big_market(j,k,2) = exp((1/nest_var)*(sum( bundles(:,3)'.*in_package(k,:).*channels_utility_big_market(j,:) ) + p3_package(k)*beta_i_big_market(j)));
            package_utility_big_market(j,k,3) = exp((1/nest_var)*(sum( bundles(:,4)'.*in_package(k,:).*channels_utility_big_market(j,:) ) + p4_package(k)*beta_i_big_market(j)));
            end

            within_cable_denominator_big_market(j) = sum(package_utility_big_market(j,:,1));
            for k=1:number_of_packages
            within_cable_share_big_market(j,k) = package_utility_big_market(j,k,1)/within_cable_denominator_big_market(j);
            end

            within_directv_denominator_big_market(j) = sum(package_utility_big_market(j,:,2));
            for k=1:number_of_packages
            within_directv_share_big_market(j,k) = package_utility_big_market(j,k,2)/within_directv_denominator_big_market(j);
            end

            within_dish_denominator_big_market(j) = sum(package_utility_big_market(j,:,3));
            for k=1:number_of_packages
            within_dish_share_big_market(j,k) = package_utility_big_market(j,k,3)/within_dish_denominator_big_market(j);
            end

            nest_utility_big_market(j,1) = ((utility_constants(1) + beta_i_big_market(j)*p1(6) + (nest_var)*log(within_cable_denominator_big_market(j))))- 0.57721/(1/nest_var);
            nest_utility_big_market(j,2) = ((utility_constants(3) + beta_i_big_market(j)*p3(6) + (nest_var)*log(within_directv_denominator_big_market(j))))- 0.57721/(1/nest_var);
            nest_utility_big_market(j,3) = ((utility_constants(4) + beta_i_big_market(j)*p4(6) + (nest_var)*log(within_dish_denominator_big_market(j))))- 0.57721/(1/nest_var);
            end
            
            consumer_welfare_big_market = log((1 + sum(exp(nest_utility_big_market.*(1/logit_var)),2)).^logit_var) ./ -beta_i_big_market   - (logit_var*.55721./ -beta_i_big_market);
            

            for j=1:simulations_big_market
            for k=1:number_of_packages
            package_utility_small_market(j,k,1) = exp((1/nest_var)*(sum( bundles(:,1)'.*in_package(k,:).*channels_utility_small_market(j,:) ) + p1_package(k)*beta_i_small_market(j)));
            package_utility_small_market(j,k,2) = exp((1/nest_var)*(sum( bundles(:,3)'.*in_package(k,:).*channels_utility_small_market(j,:) ) + p3_package(k)*beta_i_small_market(j)));
            package_utility_small_market(j,k,3) = exp((1/nest_var)*(sum( bundles(:,4)'.*in_package(k,:).*channels_utility_small_market(j,:) ) + p4_package(k)*beta_i_small_market(j)));
            end

            within_cable_denominator_small_market(j) = sum(package_utility_small_market(j,:,1));
            for k=1:number_of_packages
            within_cable_share_small_market(j,k) = package_utility_small_market(j,k,1)/within_cable_denominator_small_market(j);
            end

            within_directv_denominator_small_market(j) = sum(package_utility_small_market(j,:,2));
            for k=1:number_of_packages
            within_directv_share_small_market(j,k) = package_utility_small_market(j,k,2)/within_directv_denominator_small_market(j);
            end

            within_dish_denominator_small_market(j) = sum(package_utility_small_market(j,:,3));
            for k=1:number_of_packages
            within_dish_share_small_market(j,k) = package_utility_small_market(j,k,3)/within_dish_denominator_small_market(j);
            end

            nest_utility_small_market(j,1) = ((utility_constants(1) + beta_i_small_market(j)*p1(6) + (nest_var)*log(within_cable_denominator_small_market(j))))- 0.57721/(1/nest_var);;
            nest_utility_small_market(j,2) = ((utility_constants(3) + beta_i_small_market(j)*p3(6) + (nest_var)*log(within_directv_denominator_small_market(j))))- 0.57721/(1/nest_var);;
            nest_utility_small_market(j,3) = ((utility_constants(4) + beta_i_small_market(j)*p4(6) + (nest_var)*log(within_dish_denominator_small_market(j))))- 0.57721/(1/nest_var);;
            end
            
            consumer_welfare_small_market = log((1 + sum(exp(nest_utility_small_market.*(1/logit_var)),2)).^logit_var) ./ -beta_i_small_market   - (logit_var*.55721./ -beta_i_small_market);
                        
            
            ad_coefficients=preferences{10};
            advertising_revenue=sum(market_size)*length(market_share_big_market(:,1))*ad_coefficients.*(100*time_watched);
            upstream_fee_revenue = upstream_profits - sum(market_size)*length(market_share_big_market(:,1))*ad_coefficients.*(100*time_watched);
            
elseif (regulation_option==4) 
    p1=prices(:,1);
    p2=prices(:,2);
    p3=prices(:,3);
    p4=prices(:,4);
    
    nest_var=.2;
    
    consumer_utility_big_market(:,1) = utility_constants(1) + sum((channels_utility_big_market + beta_i_big_market*p1(1:end-1)').*consumer_buys_big_market(:,:,1),2) + beta_i_big_market*prices(end,1);
    consumer_utility_big_market(:,2) = utility_constants(1) + sum((channels_utility_big_market + beta_i_big_market*p1(1:end-1)').*consumer_buys_big_market(:,:,1),2) - channels_utility_big_market(:,16) - beta_i_big_market*p1(16) + beta_i_big_market*prices(end,1);
    consumer_utility_big_market(:,3) = utility_constants(3) + sum((channels_utility_big_market + beta_i_big_market*p3(1:end-1)').*consumer_buys_big_market(:,:,2),2) + beta_i_big_market*prices(end,3);
    consumer_utility_big_market(:,4) = utility_constants(3) + sum((channels_utility_big_market + beta_i_big_market*p3(1:end-1)').*consumer_buys_big_market(:,:,2),2) - channels_utility_big_market(:,16) - beta_i_big_market*p3(16) + beta_i_big_market*prices(end,3);
    consumer_utility_big_market(:,5) = utility_constants(4) + sum((channels_utility_big_market + beta_i_big_market*p4(1:end-1)').*consumer_buys_big_market(:,:,3),2) + beta_i_big_market*prices(end,4);
    consumer_utility_big_market(:,6) = utility_constants(4) + sum((channels_utility_big_market + beta_i_big_market*p4(1:end-1)').*consumer_buys_big_market(:,:,3),2) - channels_utility_big_market(:,16) - beta_i_big_market*p4(16) + beta_i_big_market*prices(end,4);
    
    cable_utility_big_market = log( exp(consumer_utility_big_market(:,1)*(1/nest_var))+exp(consumer_utility_big_market(:,2)*(1/nest_var)) )/(1/nest_var) - 0.57721/(1/nest_var);
    directv_utility_big_market = log( exp(consumer_utility_big_market(:,3)*(1/nest_var))+exp(consumer_utility_big_market(:,4)*(1/nest_var)) )/(1/nest_var)- 0.57721/(1/nest_var);
    dish_utility_big_market = log( exp(consumer_utility_big_market(:,5)*(1/nest_var))+exp(consumer_utility_big_market(:,6)*(1/nest_var)) ) /(1/nest_var)- 0.57721/(1/nest_var);
    
    nested_utility_big_market=[cable_utility_big_market directv_utility_big_market dish_utility_big_market];
    consumer_welfare_big_market = log((1 + sum(exp(nested_utility_big_market.*(1/logit_var)),2)).^logit_var) ./ -beta_i_big_market - (logit_var*.55721./ -beta_i_big_market);
 
    consumer_utility_small_market(:,1) = utility_constants(2) + sum((channels_utility_small_market + beta_i_small_market*p2(1:end-1)').*consumer_buys_small_market(:,:,1),2) + beta_i_small_market*prices(end,2);
    consumer_utility_small_market(:,2) = utility_constants(2) + sum((channels_utility_small_market + beta_i_small_market*p2(1:end-1)').*consumer_buys_small_market(:,:,1),2) - channels_utility_small_market(:,16) - beta_i_small_market*p2(16) + beta_i_small_market*prices(end,2);
    consumer_utility_small_market(:,3) = utility_constants(3) + sum((channels_utility_small_market + beta_i_small_market*p3(1:end-1)').*consumer_buys_small_market(:,:,2),2) + beta_i_small_market*prices(end,3);
    consumer_utility_small_market(:,4) = utility_constants(3) + sum((channels_utility_small_market + beta_i_small_market*p3(1:end-1)').*consumer_buys_small_market(:,:,2),2) - channels_utility_small_market(:,16) - beta_i_small_market*p3(16) + beta_i_small_market*prices(end,3);
    consumer_utility_small_market(:,5) = utility_constants(4) + sum((channels_utility_small_market + beta_i_small_market*p4(1:end-1)').*consumer_buys_small_market(:,:,3),2) + beta_i_small_market*prices(end,4);
    consumer_utility_small_market(:,6) = utility_constants(4) + sum((channels_utility_small_market + beta_i_small_market*p4(1:end-1)').*consumer_buys_small_market(:,:,3),2) - channels_utility_small_market(:,16) - beta_i_small_market*p4(16) + beta_i_small_market*prices(end,4);
    
    cable_utility_small_market = log( exp(consumer_utility_small_market(:,1)*(1/nest_var))+exp(consumer_utility_small_market(:,2)*(1/nest_var)) )/(1/nest_var) - 0.57721/(1/nest_var);
    directv_utility_small_market = log( exp(consumer_utility_small_market(:,3)*(1/nest_var))+exp(consumer_utility_small_market(:,4)*(1/nest_var)) )/(1/nest_var)- 0.57721/(1/nest_var);
    dish_utility_small_market = log( exp(consumer_utility_small_market(:,5)*(1/nest_var))+exp(consumer_utility_small_market(:,6)*(1/nest_var)) )/(1/nest_var)- 0.57721/(1/nest_var);
    
    nested_utility_small_market=[cable_utility_small_market directv_utility_small_market dish_utility_small_market];
    consumer_welfare_small_market = log((1 + sum(exp(nested_utility_small_market.*(1/logit_var)),2)).^logit_var) ./ -beta_i_small_market  - (logit_var*.55721./ -beta_i_small_market);
    
    time_watched=bargaining_alc_time_watched_channel_mex(pre_gamma_small_market,pre_gamma_big_market,consumer_buys_small_market,consumer_buys_big_market,market_share_small_market,market_share_big_market,regulation_option,market_size,bundles,16);
    
    ad_coefficients=preferences{10};
    advertising_revenue = ad_coefficients.*(100*time_watched);
    
    upstream_fee_revenue =  upstream_profits - sum(market_size)*length(market_share_big_market(:,1))*ad_coefficients.*(100*time_watched);
    
%     consumer_welfare_buyer=zeros(length(channels_utility_big_market(1,:)),1);
%     consumer_welfare_non_buyer=zeros(length(channels_utility_big_market(1,:)),1);
%     for k=1:length(channels_utility_big_market(1,:))
%         consumer_welfare_buyer(k)=mean(consumer_welfare_big_market(consumer_buys_big_market(:,k,2)==1));
%         consumer_welfare_non_buyer(k)=mean(consumer_welfare_big_market(consumer_buys_big_market(:,k,2)==0));
%     end
%     

end
    
    
    
    
    