% Cost estimation main file
% 8 MSO's - Comcast(24), TWC(12), Cox(5), Charter(5), Cablevision(3),
% Other(.05), DirecTV(16), Dish(14)

clear all
run 'C:\tomlab\startup.m'

% % 
% % %% SET OPTIONS AND IMPORT DATA AND TAKE DRAWS FROM EACH MARKET'S DEMOGRAPHICS DISTRIBUTIONS

% Generate options
[simulations cable_tolerance specification channels_to_add_drop parametric_family_of_marginal_distributions copula_parametric_family D_names]=cost_options(1);
simulations_deltas=simulations;
simulations_gammas=simulations;

% Pull in data and make random draws
run data_import
clear mediamark_has_cable_or_satellite mediamark_household_data mediamark_household_data_max mediamark_household_hours_watched mediamark_household_hours_watched_max mediamark_ratings mediamark_subscriptions mediamark_identifiers mediamark_any_hours_watched mediamark_demographics
homespassed_matrix=homespassed_share*ones(1,simulations);
mso_id=csvread('data/mso_id.csv');
pre_vi_table=csvread('data/2006_vertical_integration_table.csv');

load pre_kagan_costs

k=1;
for j=1:length(pre_vi_table(:,1))
    if (specification(j,1)==1)
        vi_table(k,:)=pre_vi_table(j,:);
        kagan_costs(k,:)=pre_kagan_costs(j,:);
        k=k+1;
    end
end
seed=10;
number_of_channels=sum(specification(:,3));

% [market_demographics_draws permuted_market_draws unobservable_draws fast_unobs_draws_matrix zero_out_draws fast_zero_out_draws utility_demographics_matrices income_matrix]=set_random_draws(seed,demographics,simulations,dma_order,number_of_channels+1,homespassed_share);
% save cost_draws market_demographics_draws permuted_market_draws unobservable_draws fast_unobs_draws_matrix zero_out_draws fast_zero_out_draws utility_demographics_matrices income_matrix
load cost_draws

% To get these, you must run the demand estimation, and save the deltas
% that pop out of the delta contraction, as well as the all_parameters
% vector and beta_p
%save cost_estimated_demand_parameters all_parameters beta_p deltas
load cost_estimated_demand_parameters
mu_eps=1;
number_of_bundles=length(X(:,1));
number_of_channels=sum(specification(:,3));
utility_parameters_vector=all_parameters(1:u_length);
pre_rho=all_parameters((u_length+1):(end-1));    
rho=reshape(pre_rho,number_of_channels+1,8);
alpha_i=all_parameters(end);

[predicted_mcs Pi_matrix marginal_distribution_parameters copula_parameter]=cost_preliminaries(deltas,utility_parameters_vector,rho,alpha_i,mu_eps,specification,dma_order,bundle_prices,satellite_prices,income_matrix,simulations,market_demographics_draws,fast_zero_out_draws,fast_unobs_draws_matrix,parametric_family_of_marginal_distributions,copula_parametric_family,X,market_representative,satellite_channels,same_market,same_market_min_max_index,beta_p,bundle_market_shares);

predicted_mcs=max(predicted_mcs,-100);
predicted_mcs=min(predicted_mcs,150);

% Need to generate nu_2_matches
list=cell(6,length(channels_to_add_drop),2);
        for j=1:6
        for k=1:length(channels_to_add_drop)
        list(j,k,1)={find(mso_id==j & X(:,1+channels_to_add_drop(k))==1)};    
        list(j,k,2)={find(mso_id==j & X(:,1+channels_to_add_drop(k))==0)};    
        end
        end
        
        match=zeros(length(mso_id),length(channels_to_add_drop));
        for j=1:length(mso_id)
            for k=1:length(channels_to_add_drop)
                if (X(j,1+channels_to_add_drop(k))==1)
                match(j,k)= list{mso_id(j),k,2}(ceil(rand*(length(list{mso_id(j),k,2}))));
                else
                match(j,k)= list{mso_id(j),k,1}(ceil(rand*(length(list{mso_id(j),k,1}))));                    
                end
            end            
        end
        
% Choose channels for deviations
% Compute market shares for each deviation at current prices


simulations_vector=ones(1,simulations);
year_id=dma_order(:,1);
dma_id=dma_order(:,2);
market_id=dma_order(:,3);
prices_matrix=bundle_prices*ones(1,simulations);
satellite_prices_vector=satellite_prices(-1996+dma_order(:,1));
prices_matrix_satellite=satellite_prices_vector*ones(1,simulations);
price_interactions=exp(alpha_i.*income_matrix.*prices_matrix*mu_eps);
price_interactions_satellite=exp(alpha_i.*income_matrix.*prices_matrix_satellite*mu_eps);

    [v_ij v_ij_satellite time_watched_cable time_watched_satellite outside_good_utility]=assemble_markets_fortran_mex(Pi_matrix,simulations_vector,marginal_distribution_parameters,rho,copula_parameter,market_demographics_draws,fast_zero_out_draws,fast_unobs_draws_matrix,parametric_family_of_marginal_distributions,copula_parametric_family,X,satellite_channels,market_representative,dma_id,market_id,year_id,mu_eps);
    interactions={v_ij,v_ij_satellite,time_watched_cable,time_watched_satellite,outside_good_utility,price_interactions,price_interactions_satellite};
    [bundle_shares_by_household satellite_shares_by_household]=market_shares(deltas,interactions,X,simulations,same_market);
    current_shares=mean(bundle_shares_by_household,2);


deviation_market_share=zeros(length(X(:,1)),length(channels_to_add_drop));
for k=1:length(channels_to_add_drop)
    chan_in_question=channels_to_add_drop(k);
    newX=X;
    newX(X(:,1+chan_in_question)==1,1+chan_in_question)=0;
    newX(X(:,1+chan_in_question)==0,1+chan_in_question)=1;
    [v_ij v_ij_satellite time_watched_cable time_watched_satellite outside_good_utility]=assemble_markets_fortran_mex(Pi_matrix,simulations_vector,marginal_distribution_parameters,rho,copula_parameter,market_demographics_draws,fast_zero_out_draws,fast_unobs_draws_matrix,parametric_family_of_marginal_distributions,copula_parametric_family,newX,satellite_channels,market_representative,dma_id,market_id,year_id,mu_eps);
    interactions={v_ij,v_ij_satellite,time_watched_cable,time_watched_satellite,outside_good_utility,price_interactions,price_interactions_satellite};
    [bundle_shares_by_household satellite_shares_by_household]=market_shares(deltas,interactions,newX,simulations,same_market);
    deviation_market_share(:,k)=mean(bundle_shares_by_household,2);
end


% Search for cost parameters that minimize benefits of summed opposite
% deviations, distance from predicted marginal costs, and kagan averages
use_bundle_moments=1;

start_cost=[0.01 1 -0.01 0.01];
prob = clsAssign(@(z) cost_objective_function(z,predicted_mcs,kagan_costs,channels_to_add_drop,deviation_market_share,bundle_market_shares,bundle_prices,match,vi_table,X,mso_id,dma_order,use_bundle_moments,ones(length(dma_order(:,1)),1)), [],[],  [-Inf -Inf -Inf -Inf], [Inf Inf Inf Inf], 'NLLS', start_cost, y, [],[],[],[],[],[],[],[],[],[],[],[],[]);
prob.KNITRO.options.XTOL=1e-5;
prob.KNITRO.options.ALG = 3;
prob.KNITRO.options.BAR_FEASIBLE = 1;
prob.KNITRO.options.BAR_FEASMODETOL = 1e-15;
prob.KNITRO.options.HONORBNDS = 1;
prob.PriLevelOpt = 4; % Print one line each iteration
prob.KNITRO.options.HESSOPT = 3;

% fminsearch(@(z) cost_objective_function(z,predicted_mcs,kagan_costs,channels_to_add_drop,deviation_market_share,bundle_market_shares,bundle_prices,match,vi_table,X,mso_id,dma_order,1,ones(length(dma_order(:,1)),1)),start_cost);
% Actually run the Tomlab solver and print the results
res = tomRun('knitro', ...   % Use the KNITRO nonlinear solver
             prob, ...
             2 ...   % Print some information (change to 0 to print less)
             );

         intermediate=res.x_k;
         cost_estimates=intermediate;
         
         
trial_f=cost_objective_function(cost_estimates,predicted_mcs,kagan_costs,channels_to_add_drop,deviation_market_share,bundle_market_shares,bundle_prices,match,vi_table,X,mso_id,dma_order,use_bundle_moments,ones(length(dma_order(:,1)),1));         

% Standard Errors
pool_of_markets=unique(same_market_min_max_index(dma_order(:,1)>2005,1));

num_of_bootstrap_draws=250;
moment_draw=zeros(length(trial_f),num_of_bootstrap_draws);
for i=1:num_of_bootstrap_draws

    markets_sample=randsample(pool_of_markets,length(pool_of_markets),true);    
    
    bootstrap_weights=zeros(length(dma_order(:,1)),1);
    for k=1:length(dma_order)
        bootstrap_weights(k)=sum(markets_sample==same_market_min_max_index(k,1));
    end
     bootstrap_weights= bootstrap_weights/sum( bootstrap_weights);
     
    moment_draw(:,i)=cost_objective_function(cost_estimates,predicted_mcs,kagan_costs,channels_to_add_drop,deviation_market_share,bundle_market_shares,bundle_prices,match,vi_table,X,mso_id,dma_order,use_bundle_moments,bootstrap_weights);
    
end  

relevant_moments=find(max(abs(moment_draw)')~=0);

% Compute derivative of moment conditions

d_moments=zeros(length(trial_f),4);
for j=1:4
    
    use_params=cost_estimates;
    use_params(j)=cost_estimates(j)+1e-3;
    pre_d_moments=cost_objective_function(use_params,predicted_mcs,kagan_costs,channels_to_add_drop,deviation_market_share,bundle_market_shares,bundle_prices,match,vi_table,X,mso_id,dma_order,use_bundle_moments,ones(length(dma_order(:,1)),1));         
    d_moments(:,j)=(trial_f-pre_d_moments)./1e-3;

end

S=cov(moment_draw(relevant_moments,relevant_moments)');
S(1:49,1:49)=diag(kagan_costs);
S(1:49,50:end)=0;
S(50:end,1:49)=0;

real_d_moments=d_moments(relevant_moments,:);

pre_se=inv(real_d_moments'*real_d_moments);
sampling_se = real(sqrt(diag(pre_se*(real_d_moments'*S*real_d_moments)*pre_se)./length(pool_of_markets)));
