%% Main Code for Model Estimation
%% Crawford/Yurukoglu
%% The Welfare Effects of Bundling in Multichannel Television
% 

% function main

clear all

% Initialize Tomlab
run 'C:\tomlab\startup.m'
%addpath /usr/local/data/apps/tomlab7


% 
% task_id=getenv('SGE_TASK_ID');
% task_id=str2double(task_id);
% disp(task_id)
% pause(task_id^2)

% % 
% % %% SET OPTIONS AND IMPORT DATA AND TAKE DRAWS FROM EACH MARKET'S DEMOGRAPHICS DISTRIBUTIONS

% Generate options
[simulations_deltas simulations_gammas cable_tolerance specification parametric_family_of_marginal_distributions copula_parametric_family D_names]=options(1);

% Pull in data and make random draws
run data_import
seed=10;
number_of_channels=sum(specification(:,3));
[market_demographics_draws_deltas permuted_market_draws_deltas unobservable_draws_deltas fast_unobs_draws_matrix_deltas zero_out_draws_deltas fast_zero_out_draws_deltas utility_demographics_matrices_deltas income_matrix_deltas cume_matrices normalize]=set_random_draws(seed,demographics,simulations_deltas,dma_order,number_of_channels+1,homespassed_share);
[market_demographics_draws_gammas permuted_market_draws_gammas unobservable_draws_gammas fast_unobs_draws_matrix_gammas zero_out_draws_gammas fast_zero_out_draws_gammas utility_demographics_matrices_gammas income_matrix_gammas cume_matrices normalize]=set_random_draws(seed,demographics,simulations_gammas,dma_order,number_of_channels+1,homespassed_share);
market_demographics_draws=market_demographics_draws_gammas ;
permuted_market_draws=permuted_market_draws_gammas ;
unobservable_draws=unobservable_draws_gammas ;
fast_unobs_draws_matrix=fast_unobs_draws_matrix_gammas ;
zero_out_draws=zero_out_draws_gammas ;
fast_zero_out_draws=fast_zero_out_draws_gammas ;
utility_demographics_matrices=utility_demographics_matrices_gammas ;
income_matrix=income_matrix_gammas;
homespassed_matrix=homespassed_matrix_gammas;
simulations=simulations_gammas;

clear market_demographics_draws_gammas permuted_market_draws_gammas unobservable_draws_gammas fast_unobs_draws_matrix_gammas zero_out_draws_gammas fast_zero_out_draws_gammas utility_demographics_matrices_gammas income_matrix_gammas homespassed_matrix_gammas simulations_gammas

% Solve for nonlinear parameters based on moments from viewership data
%   This is done by iterating between matching market shares and matching
%   viewership moments

start_copula_parameter=zeros((number_of_channels+1)*((number_of_channels+1)-1)/2,1);
start_Pi_matrix=.01+zeros((number_of_channels+1),7);
start_Pi_matrix(end,:)=[0.01 2 0.01 4 4 4 0.01];
start_marginal_distribution_parameters=0.05*ones(number_of_channels,1);
start_marginal_distribution_parameters([9 16 19 27 41])=.15;
start_vector=[start_copula_parameter; reshape(start_Pi_matrix,numel(start_Pi_matrix),1); start_marginal_distribution_parameters];

utility_parameters_vector=start_vector;
u_length=length(utility_parameters_vector);

last_alpha_i=0;
alpha_i=.2;
mu_eps=1;
last_beta_p=0;
rho=.5*ones(number_of_channels+1,8);
rho(end,:)=1;
all_rho=rho;

start_all_parameters=[utility_parameters_vector; reshape(all_rho,numel(rho),1); alpha_i];
all_parameters=start_all_parameters;

%nest rho's, deltas/alpha/mu_epsilon, and other nonlinear parameters
deltas=ones(length(X(:,1)),2);
last_deltas=deltas;
save last_deltas deltas

mean_viewership_by_demographic=ratings_data{4};
demographic_cume=ratings_data{5};
correlation_in_hh_viewership=ratings_data{6};

run create_dummy_utility_parameters

save start_estimation


for mmm=1:5

    
    if (mmm==1)
        univariate=1;
        channel_by_channel=1;
        estimate_copula_parameters=0;
        full=0;
    elseif (mmm==2)  
        univariate=0;
        channel_by_channel=1;
        estimate_copula_parameters=0;
        full=0;
    elseif (mmm==3)
        univariate=0;
        channel_by_channel=1;
        estimate_copula_parameters=1;
        full=0;
    elseif (mmm==4)
        univariate=0;
        channel_by_channel=0;
        copula_parameters=0;    
        full=1;
    end
    
    run full_optimization
    
end

save utility_parameters_vector utility_parameters_vector deltas last_deltas rho alpha_i beta_p
