%% Computational Options and Specification of Model Estimation
%% Crawford/Yurukoglu
%% The Welfare Effects of Bundling in Multichannel Television

function [simulations_deltas simulations_gammas cable_tolerance specification parametric_family_of_marginal_distributions copula_parametric_family D_names ]=options(iteration)

%%   COMPUTATIONAL OPTIONS

%%%%%%%%%%%% Numerical Integration Parameters

% # of simulations per market
simulations_deltas = 20;
simulations_gammas = 20;

%%%%%%%%%%%% Tolerance levels

% cable market share inversion contraction mapping convergence tolerance
cable_tolerance=1.0D-3;

%% END COMPUTATIONAL OPTIONS

%% SPECIFICATIONS OPTIONS       

%               1           2           3         
% Chan x - [    1           1           1           ];
%           In Demand   In Supply  Has Ratings Data
%           Specifi-    Specifi-     
%           cation      cation
%       
%
% specification(1,:)=[0 0 0]; %10 News 2 
% specification(2,:)=[0 0 0]; %4SD 
% specification(3,:)=[1 1 1]; %ABC Family Channel  
% specification(4,:)=[0 0 0]; %ABC Family HD 
% specification(5,:)=[0 0 0]; %ActionMax 
% specification(6,:)=[0 0 0]; %Altitude Sports & Entertainment 
% specification(7,:)=[0 0 0]; %AMC HD 
% specification(8,:)=[0 0 0]; %AmericanLife TV Network 
% specification(9,:)=[1 1 1]; %AMC 
% specification(10,:)=[0 0 0]; %America's Collectibles Network 
% specification(11,:)=[0 0 0]; %America's Store 
% specification(12,:)=[1 1 1]; %Animal Planet 
% specification(13,:)=[0 0 0]; %Animal Planet HD 
% specification(14,:)=[0 0 0]; %Anime Network 
% specification(15,:)=[1 1 1]; %Arts & Entertainment 
% specification(16,:)=[0 0 0]; %Arts & Entertainment HD 
% specification(17,:)=[0 0 0]; %AZN Television 
% specification(18,:)=[0 0 0]; %BabyFirst TV 
% specification(19,:)=[0 0 0]; %Bay News 9 
% specification(20,:)=[0 0 0]; %Bay News 9 Espanol 
% specification(21,:)=[0 0 0]; %BBC America 
% specification(22,:)=[0 0 0]; %BBC America On Demand 
% specification(23,:)=[0 0 0]; %BBC World News 
% specification(24,:)=[0 0 0]; %BET J 
% specification(25,:)=[0 0 0]; %Big Ten Network 
% specification(26,:)=[0 0 0]; %Big Ten Network HD 
% specification(27,:)=[0 0 0]; %Bio HD 
% specification(28,:)=[0 0 0]; %Bio 
% specification(29,:)=[1 1 1]; %BET Networks 
% specification(30,:)=[0 0 0]; %Black Family Channel 
% specification(31,:)=[0 0 0]; %Bloomberg Television 
% specification(32,:)=[0 0 0]; %Boomerang 
% specification(33,:)=[0 0 0]; %Boomerang en Espanol 
% specification(34,:)=[1 1 1]; %Bravo 
% specification(35,:)=[0 0 0]; %Bravo HD 
% specification(36,:)=[0 0 0]; %Capital News 9 
% specification(37,:)=[1 1 1]; %Cartoon Network 
% specification(38,:)=[0 0 0]; %Cartoon Network HD 
% specification(39,:)=[0 0 0]; %Cartoon Network Tambien en Espanol 
% specification(40,:)=[0 0 0]; %Catch 47 
% specification(41,:)=[0 0 0]; %Central Florida News 13 
% specification(42,:)=[0 0 0]; %Chicagoland Television News 
% specification(43,:)=[0 0 0]; %Chiller 
% specification(44,:)=[0 0 0]; %Cinemax 
% specification(45,:)=[0 0 0]; %Cinemax HD 
% specification(46,:)=[0 0 0]; %Cinemax On Demand 
% specification(47,:)=[0 0 0]; %CMT HD 
% specification(48,:)=[0 0 0]; %VH1 Country 
% specification(49,:)=[1 1 1]; %CNBC 
% specification(50,:)=[0 0 0]; %CNBC HD+ 
% specification(51,:)=[0 0 0]; %CNBC World 
% specification(52,:)=[1 1 1]; %CNN 
% specification(53,:)=[0 0 0]; %CNN en Espanol 
% specification(54,:)=[0 0 0]; %CNN HD 
% specification(55,:)=[0 0 0]; %CNN International 
% specification(56,:)=[0 0 0]; %CBS College Sports Network 
% specification(57,:)=[0 0 0]; %CBS College Sports Network HD 
% specification(58,:)=[0 0 0]; %Comcast Local Detroit 
% specification(59,:)=[0 0 0]; %Comcast SportsNet Chicago 
% specification(60,:)=[0 0 0]; %Comcast SportsNet Mid-Atlantic 
% specification(61,:)=[0 0 0]; %Comcast Sportsnet New England 
% specification(62,:)=[0 0 0]; %Comcast SportsNet Northwest 
% specification(63,:)=[0 0 0]; %Comcast SportsNet Philly 
% specification(64,:)=[0 0 0]; %Comcast SportsNet West 
% specification(65,:)=[0 0 0]; %Comcast/Charter Sports Southeast (CSS) 
% specification(66,:)=[1 1 1]; %Comedy Central 
% specification(67,:)=[0 0 0]; %Comedy Network 
% specification(68,:)=[1 1 1]; %Country Music TV 
% specification(69,:)=[1 1 1]; %Court TV 
% specification(70,:)=[0 0 0]; %Cox Sports Television 
% specification(71,:)=[0 0 0]; %C-SPAN 
% specification(72,:)=[0 0 0]; %C-SPAN 2 
% specification(73,:)=[0 0 0]; %C-SPAN 3 
% specification(74,:)=[0 0 0]; %C-SPAN Extra 
% specification(75,:)=[0 0 0]; %Current 
% specification(76,:)=[1 1 1]; %Discovery Channel 
% specification(77,:)=[0 0 0]; %Discovery Channel HD 
% specification(78,:)=[0 0 0]; %Discovery Digital Networks 
% specification(79,:)=[0 0 0]; %Discovery en Espanol 
% specification(80,:)=[0 0 0]; %Discovery HD Theater 
% specification(81,:)=[0 0 0]; %Discovery Health Channel 
% specification(82,:)=[0 0 0]; %Discovery Home Channel 
% specification(83,:)=[0 0 0]; %Discovery Kids Channel 
% specification(84,:)=[0 0 0]; %Discovery Kids en Espanol 
% specification(85,:)=[0 0 0]; %Discovery Military Channel 
% specification(86,:)=[0 0 0]; %Discovery Planet Green 
% specification(87,:)=[0 0 0]; %Discovery Planet Green HD 
% specification(88,:)=[0 0 0]; %Discovery Times Channel 
% specification(89,:)=[0 0 0]; %Discovery Travel & Living (Viajar y Vivir) 
% specification(90,:)=[1 1 1]; %Disney Channel 
% specification(91,:)=[0 0 0]; %Disney Channel HD 
% specification(92,:)=[0 0 0]; %Disney XD 
% specification(93,:)=[0 0 0]; %Disney XD en Espanol 
% specification(94,:)=[0 0 0]; %Disney XD HD 
% specification(95,:)=[0 0 0]; %Do-It-Yourself 
% specification(96,:)=[0 0 0]; %Do-It-Yourself On Demand 
% specification(97,:)=[1 1 1]; %E! Entertainment Television 
% specification(98,:)=[0 0 0]; %E! Entertainment Television HD 
% specification(99,:)=[0 0 0]; %Empire Sports Network 
% specification(100,:)=[0 0 0]; %Encore 
% specification(101,:)=[0 0 0]; %Encore Action 
% specification(102,:)=[0 0 0]; %Encore Drama 
% specification(103,:)=[0 0 0]; %Encore HD 
% specification(104,:)=[0 0 0]; %Encore Love 
% specification(105,:)=[0 0 0]; %Encore Movie Networks 
% specification(106,:)=[0 0 0]; %Encore Mystery 
% specification(107,:)=[0 0 0]; %Encore Wam 
% specification(108,:)=[0 0 0]; %Encore Westerns 
% specification(109,:)=[1 1 1]; %ESPN 
% specification(110,:)=[1 1 1]; %ESPN 2 
% specification(111,:)=[0 0 0]; %ESPN 2 HD 
% specification(112,:)=[1 1 1]; %ESPN Classic Sports 
% specification(113,:)=[0 0 0]; %ESPN Deportes 
% specification(114,:)=[0 0 0]; %ESPN Deportes On Demand 
% specification(115,:)=[0 0 0]; %ESPN Extra 
% specification(116,:)=[0 0 0]; %ESPN Full Court 
% specification(117,:)=[0 0 0]; %ESPN HD 
% specification(118,:)=[0 0 0]; %ESPN Now 
% specification(119,:)=[0 0 0]; %ESPN On Demand 
% specification(120,:)=[0 0 0]; %ESPN U 
% specification(121,:)=[0 0 0]; %ESPN U On Demand 
% specification(122,:)=[0 0 0]; %ESPNews 
% specification(123,:)=[0 0 0]; %ESPNews HD 
% specification(124,:)=[0 0 0]; %ESPNOL 
% specification(125,:)=[0 0 0]; %ESPNU HD 
% specification(126,:)=[0 0 0]; %FearNet 
% specification(127,:)=[0 0 0]; %Fine Living 
% specification(128,:)=[0 0 0]; %Fine Living On Demand 
% specification(129,:)=[0 0 0]; %FitTV 
% specification(130,:)=[0 0 0]; %Flix 
% specification(131,:)=[0 0 0]; %Flix On Demand 
% specification(132,:)=[1 1 1]; %Food Network 
% specification(133,:)=[0 0 0]; %Food Network HD 
% specification(134,:)=[0 0 0]; %Food Network On Demand 
% specification(135,:)=[0 0 0]; %Fox Business Channel 
% specification(136,:)=[0 0 0]; %Fox Business Channel HD 
% specification(137,:)=[0 0 0]; %Fox College Sports Atlantic 
% specification(138,:)=[0 0 0]; %Fox College Sports Central 
% specification(139,:)=[0 0 0]; %Fox College Sports Pacific 
% specification(140,:)=[0 0 0]; %Fox Movie Channel 
% specification(141,:)=[1 1 1]; %Fox News Channel 
% specification(142,:)=[0 0 0]; %Fox News HD 
% specification(143,:)=[0 0 0]; %Fox Reality Channel 
% specification(144,:)=[0 0 0]; %Fox Soccer  
% specification(145,:)=[0 0 0]; %Fox Sports en Espanol 
% specification(146,:)=[0 0 0]; %Fox Sports Net 
% specification(147,:)=[0 0 0]; %Fox Sports Net Arizona 
% specification(148,:)=[0 0 0]; %Fox Sports Net Bay Area 
% specification(149,:)=[0 0 0]; %Fox Sports Net Chicago 
% specification(150,:)=[0 0 0]; %Fox Sports Net Detroit 
% specification(151,:)=[0 0 0]; %Fox Sports Net Florida 
% specification(152,:)=[0 0 0]; %FSN HD 
% specification(153,:)=[0 0 0]; %Fox Sports Net Indiana 
% specification(154,:)=[0 0 0]; %Fox Sports Net Mid-Atlantic 
% specification(155,:)=[0 0 0]; %Fox Sports Net Midwest 
% specification(156,:)=[0 0 0]; %Fox Sports Net Minnesota 
% specification(157,:)=[0 0 0]; %Fox Sports Net New England 
% specification(158,:)=[0 0 0]; %Fox Sports Net New York 
% specification(159,:)=[0 0 0]; %Fox Sports Net North 
% specification(160,:)=[0 0 0]; %Fox Sports Net Northwest 
% specification(161,:)=[0 0 0]; %Fox Sports Net Ohio 
% specification(162,:)=[0 0 0]; %Fox Sports Net Philadelphia 
% specification(163,:)=[0 0 0]; %Fox Sports Net Pittsburgh 
% specification(164,:)=[0 0 0]; %Fox Sports Net Prime Ticket 
% specification(165,:)=[0 0 0]; %Fox Sports Net Rocky Mountain 
% specification(166,:)=[0 0 0]; %Fox Sports Net South 
% specification(167,:)=[0 0 0]; %Fox Sports Net Southwest 
% specification(168,:)=[0 0 0]; %Fox Sports Net West 
% specification(169,:)=[0 0 0]; %Fox Sports Net Wisconsin 
% specification(170,:)=[0 0 0]; %Fuel TV 
% specification(171,:)=[0 0 0]; %Fuse 
% specification(172,:)=[1 1 1]; %FX 
% specification(173,:)=[0 0 0]; %FX HD 
% specification(174,:)=[1 1 1]; %G4 
% specification(175,:)=[0 0 0]; %GalaVision 
% specification(176,:)=[1 1 1]; %GSN 
% specification(177,:)=[0 0 0]; %GameHD 
% specification(178,:)=[0 0 0]; %GAS 
% specification(179,:)=[0 0 0]; %GemsTV 
% specification(180,:)=[1 1 1]; %Golf Channel 
% specification(181,:)=[0 0 0]; %Golf Channel HD 
% specification(182,:)=[0 0 0]; %Gol TV 
% specification(183,:)=[0 0 0]; %Gospel Music Channel 
% specification(184,:)=[0 0 0]; %Gospel Music TV 
% specification(185,:)=[0 0 0]; %Great American Country (GAC) 
% specification(186,:)=[0 0 0]; %Great American Country On Demand 
% specification(187,:)=[1 1 1]; %Hallmark Channel 
% specification(188,:)=[0 0 0]; %Hallmark Movie Channel 
% specification(189,:)=[0 0 0]; %Hallmark Movie Channel HD 
% specification(190,:)=[0 0 0]; %HBO 
% specification(191,:)=[0 0 0]; %HBO 2 
% specification(192,:)=[0 0 0]; %HBO Family 
% specification(193,:)=[0 0 0]; %HBO HD 
% specification(194,:)=[0 0 0]; %HBO On Demand 
% specification(195,:)=[0 0 0]; %HBO Signature 
% specification(196,:)=[0 0 0]; %HBO The Works 
% specification(197,:)=[0 0 0]; %HDNet 
% specification(198,:)=[0 0 0]; %HDNet Movies 
% specification(199,:)=[0 0 0]; %here! TV 
% specification(200,:)=[1 1 1]; %HGTV 
% specification(201,:)=[0 0 0]; %HGTV HD 
% specification(202,:)=[0 0 0]; %HGTV On Demand 
% specification(203,:)=[1 1 1]; %History Channel 
% specification(204,:)=[0 0 0]; %History Channel en Espanol 
% specification(205,:)=[0 0 0]; %History Channel HD 
% specification(206,:)=[0 0 0]; %History Channel International 
% specification(207,:)=[0 0 0]; %Home Shopping Network (HSN Inc.) 
% specification(208,:)=[0 0 0]; %Home Shopping Network 2 
% specification(209,:)=[0 0 0]; %Home Team Sports 
% specification(210,:)=[0 0 0]; %ImaginAsian TV 
% specification(211,:)=[0 0 0]; %Independent Film Channel 
% specification(212,:)=[0 0 0]; %INHD 
% specification(213,:)=[0 0 0]; %INHD2 
% specification(214,:)=[0 0 0]; %Jewelry Television 
% specification(215,:)=[1 1 1]; %Lifetime 
% specification(216,:)=[0 0 0]; %Lifetime Movie Network 
% specification(217,:)=[0 0 0]; %Lifetime Movie Network HD 
% specification(218,:)=[0 0 0]; %Lifetime Real Women 
% specification(219,:)=[0 0 0]; %Lifetime Television HD 
% specification(220,:)=[0 0 0]; %Lime 
% specification(221,:)=[0 0 0]; %LOGO 
% specification(222,:)=[0 0 0]; %B-Mania 
% specification(223,:)=[0 0 0]; %MSG 
% specification(224,:)=[0 0 0]; %Metro Sports 
% specification(225,:)=[0 0 0]; %MGM HD 
% specification(226,:)=[0 0 0]; %Mid-Atlantic Sports Network 
% specification(227,:)=[0 0 0]; %Military History Channel 
% specification(228,:)=[0 0 0]; %MLB Network 
% specification(229,:)=[0 0 0]; %MLB Extra Innings 
% specification(230,:)=[0 0 0]; %Mojo HD 
% specification(231,:)=[0 0 0]; %MoreMAX 
% specification(232,:)=[0 0 0]; %MoviePlex 
% specification(233,:)=[0 0 0]; %MSG Plus 
% specification(234,:)=[1 1 1]; %MSNBC 
% specification(235,:)=[1 1 1]; %MTV 
% specification(236,:)=[0 0 0]; %MTV Hits 
% specification(237,:)=[0 0 0]; %MTV Jams 
% specification(238,:)=[0 0 0]; %MTV Networks Digital Suite 
% specification(239,:)=[0 0 0]; %MTV Networks HD 
% specification(240,:)=[0 0 0]; %MTV Tres 
% specification(241,:)=[1 1 1]; %MTV2 
% specification(242,:)=[0 0 0]; %mun2 television 
% specification(243,:)=[1 1 1]; %National Geographic Channel 
% specification(244,:)=[0 0 0]; %National Geographic Channel HD Network 
% specification(245,:)=[0 0 0]; %National Geographic Channel On Demand 
% specification(246,:)=[0 0 0]; %NBA TV 
% specification(247,:)=[0 0 0]; %NBA TV HD 
% specification(248,:)=[0 0 0]; %New England Sports Network 
% specification(249,:)=[0 0 0]; %New York 1 News 
% specification(250,:)=[0 0 0]; %News 10 Now 
% specification(251,:)=[0 0 0]; %News 12 Long Island 
% specification(252,:)=[0 0 0]; %News 12 New Jersey 
% specification(253,:)=[0 0 0]; %News 12 Traffic & Weather 
% specification(254,:)=[0 0 0]; %News 12 Westchester 
% specification(255,:)=[0 0 0]; %News 14 Carolina 
% specification(256,:)=[0 0 0]; %News 8 Austin 
% specification(257,:)=[0 0 0]; %News Now 53 
% specification(258,:)=[0 0 0]; %News Plus 
% specification(259,:)=[0 0 0]; %NewsChannel 8 
% specification(260,:)=[0 0 0]; %NFL Network 
% specification(261,:)=[0 0 0]; %NFL Network HD 
% specification(262,:)=[0 0 0]; %NHL Network 
% specification(263,:)=[0 0 0]; %NHL Network HD 
% specification(264,:)=[0 0 0]; %Nick HD 
% specification(265,:)=[0 0 0]; %Nick Too 
% specification(266,:)=[1 1 1]; %Nickelodeon 
% specification(267,:)=[0 0 0]; %NickToons TV 
% specification(268,:)=[0 0 0]; %Noggin 
% specification(269,:)=[0 0 0]; %The N 
% specification(270,:)=[0 0 0]; %Northwest Cable News 
% specification(271,:)=[0 0 0]; %Ohio News Network 
% specification(272,:)=[0 0 0]; %Outdoor Channel 
% specification(273,:)=[0 0 0]; %Outdoor Channel 2 HD 
% specification(274,:)=[0 0 0]; %Outdoor Channel On Demand 
% specification(275,:)=[0 0 0]; %Ovation 
% specification(276,:)=[1 1 1]; %Oxygen 
% specification(277,:)=[0 0 0]; %Oxygen On Demand 
% specification(278,:)=[0 0 0]; %Palladia 
% specification(279,:)=[0 0 0]; %PBS HD 
% specification(280,:)=[0 0 0]; %PBS Kids Sprout 
% specification(281,:)=[0 0 0]; %Pittsburgh Cable News Channel 
% specification(282,:)=[0 0 0]; %Playboy TV 
% specification(283,:)=[0 0 0]; %Qubo 
% specification(284,:)=[0 0 0]; %QVC 
% specification(285,:)=[0 0 0]; %QVC HD 
% specification(286,:)=[0 0 0]; %ReelzChannel 
% specification(287,:)=[0 0 0]; %Rhode Island News Channel 
% specification(288,:)=[0 0 0]; %Science Channel HD 
% specification(289,:)=[1 1 1]; %Syfy 
% specification(290,:)=[0 0 0]; %Shop at Home 
% specification(291,:)=[0 0 0]; %ShopNBC 
% specification(292,:)=[0 0 0]; %Showtime 
% specification(293,:)=[0 0 0]; %Showtime HD 
% specification(294,:)=[0 0 0]; %Showtime On Demand 
% specification(295,:)=[0 0 0]; %Showtime Too 
% specification(296,:)=[0 0 0]; %Si TV 
% specification(297,:)=[0 0 0]; %Sleuth 
% specification(298,:)=[0 0 0]; %Smithsonian Channel HD 
% specification(299,:)=[1 1 1]; %SoapNet 
% specification(300,:)=[0 0 0]; %Sorpresa 
% specification(301,:)=[1 1 1]; %Speed Channel 
% specification(302,:)=[0 0 0]; %Speed HD 
% specification(303,:)=[0 0 0]; %Speed On Demand 
% specification(304,:)=[1 1 1]; %Spike TV 
% specification(305,:)=[0 0 0]; %Spike TV HD 
% specification(306,:)=[0 0 0]; %SportsNet New York 
% specification(307,:)=[0 0 0]; %SportSouth 
% specification(308,:)=[0 0 0]; %SportsTime Ohio 
% specification(309,:)=[0 0 0]; %Starz 
% specification(310,:)=[0 0 0]; %Starz Cinema 
% specification(311,:)=[0 0 0]; %Starz Comedy 
% specification(312,:)=[0 0 0]; %Starz Edge 
% specification(313,:)=[0 0 0]; %Starz HDTV 
% specification(314,:)=[0 0 0]; %Starz InBlack 
% specification(315,:)=[0 0 0]; %Starz IndiePlex 
% specification(316,:)=[0 0 0]; %Starz Kids & Family 
% specification(317,:)=[0 0 0]; %Starz On Demand 
% specification(318,:)=[0 0 0]; %Starz RetroPlex 
% specification(319,:)=[0 0 0]; %Style Network 
% specification(320,:)=[0 0 0]; %SunSports TV 
% specification(321,:)=[0 0 0]; %Sundance Channel 
% specification(322,:)=[0 0 0]; %Sunshine Network 
% specification(323,:)=[0 0 0]; %Superstation WGN 
% specification(324,:)=[0 0 0]; %Syfy HD 
% specification(325,:)=[0 0 0]; %TBN HD 
% specification(326,:)=[1 1 1]; %TBS Superstation 
% specification(327,:)=[0 0 0]; %TBS in HD 
% specification(328,:)=[0 0 0]; %Tennis Channel 
% specification(329,:)=[0 0 0]; %Tennis Channel HD 
% specification(330,:)=[0 0 0]; %Texas Cable News 
% specification(331,:)=[0 0 0]; %The Comcast Network 
% specification(332,:)=[0 0 0]; %The Movie Channel 
% specification(333,:)=[0 0 0]; %The Movie Channel HD 
% specification(334,:)=[0 0 0]; %The Movie Channel On Demand 
% specification(335,:)=[0 0 0]; %the mtn 
% specification(336,:)=[0 0 0]; %The New Encore 
% specification(337,:)=[0 0 0]; %Discovery Science Channel 
% specification(338,:)=[0 0 0]; %The Sportsman Channel 
% specification(339,:)=[1 1 1]; %The Weather Channel 
% specification(340,:)=[0 0 0]; %Time Warner Sports Milwaukee 
% specification(341,:)=[1 1 1]; %TLC 
% specification(342,:)=[0 0 0]; %TLC HD 
% specification(343,:)=[1 1 1]; %TNT 
% specification(344,:)=[0 0 0]; %Toon Disney 
% specification(345,:)=[0 0 0]; %Toon Disney en Espanol 
% specification(346,:)=[0 0 0]; %Toon Disney HD 
% specification(347,:)=[1 1 1]; %Travel Channel 
% specification(348,:)=[0 0 0]; %Travel Channel HD 
% specification(349,:)=[0 0 0]; %Trio 
% specification(350,:)=[1 1 1]; %Turner Classic Movies 
% specification(351,:)=[0 0 0]; %Turner Network TV HD 
% specification(352,:)=[0 0 0]; %Turner South 
% specification(353,:)=[1 1 1]; %TV Guide Channel 
% specification(354,:)=[1 1 1]; %TV Land 
% specification(355,:)=[0 0 0]; %TV One 
% specification(356,:)=[0 0 0]; %TVG Network 
% specification(357,:)=[0 0 0]; %Universal HD 
% specification(358,:)=[1 1 1]; %USA Network 
% specification(359,:)=[0 0 0]; %USA Network HD 
% specification(360,:)=[1 1 1]; %Versus 
% specification(361,:)=[0 0 0]; %Versus HD 
% specification(362,:)=[0 0 0]; %Versus On Demand 
% specification(363,:)=[1 1 1]; %VH1 
% specification(364,:)=[0 0 0]; %VH1 Classic 
% specification(365,:)=[0 0 0]; %VH1 HD 
% specification(366,:)=[0 0 0]; %VH1 Soul 
% specification(367,:)=[0 0 0]; %VHUNO 
% specification(368,:)=[0 0 0]; %WAM! America's Kidz Network 
% specification(369,:)=[0 0 0]; %WE: Women's Entertainment 
% specification(370,:)=[0 0 0]; %WealthTV 
% specification(371,:)=[0 0 0]; %WealthTV HD 
% specification(372,:)=[0 0 0]; %Weather Channel HD 
% specification(373,:)=[0 0 0]; %World Cinema HD 
% specification(374,:)=[0 0 0]; %Yankees Entertainment & Sports (YES)
% specification(375,:)=[0 0 0]; %YES HD 

specification(1,:)=[0 0 0]; %10 News 2 
specification(2,:)=[0 0 0]; %4SD 
specification(3,:)=[1 1 1]; %ABC Family Channel  
specification(4,:)=[0 0 0]; %ABC Family HD 
specification(5,:)=[0 0 0]; %ActionMax 
specification(6,:)=[0 0 0]; %Altitude Sports & Entertainment 
specification(7,:)=[0 0 0]; %AMC HD 
specification(8,:)=[0 0 0]; %AmericanLife TV Network 
specification(9,:)=[1 1 1]; %AMC 
specification(10,:)=[0 0 0]; %America's Collectibles Network 
specification(11,:)=[0 0 0]; %America's Store 
specification(12,:)=[1 1 1]; %Animal Planet 
specification(13,:)=[0 0 0]; %Animal Planet HD 
specification(14,:)=[0 0 0]; %Anime Network 
specification(15,:)=[1 1 1]; %Arts & Entertainment 
specification(16,:)=[0 0 0]; %Arts & Entertainment HD 
specification(17,:)=[0 0 0]; %AZN Television 
specification(18,:)=[0 0 0]; %BabyFirst TV 
specification(19,:)=[0 0 0]; %Bay News 9 
specification(20,:)=[0 0 0]; %Bay News 9 Espanol 
specification(21,:)=[0 0 0]; %BBC America 
specification(22,:)=[0 0 0]; %BBC America On Demand 
specification(23,:)=[0 0 0]; %BBC World News 
specification(24,:)=[0 0 0]; %BET J 
specification(25,:)=[0 0 0]; %Big Ten Network 
specification(26,:)=[0 0 0]; %Big Ten Network HD 
specification(27,:)=[0 0 0]; %Bio HD 
specification(28,:)=[0 0 0]; %Bio 
specification(29,:)=[1 1 1]; %BET Networks 
specification(30,:)=[0 0 0]; %Black Family Channel 
specification(31,:)=[0 0 0]; %Bloomberg Television 
specification(32,:)=[0 0 0]; %Boomerang 
specification(33,:)=[0 0 0]; %Boomerang en Espanol 
specification(34,:)=[1 1 1]; %Bravo 
specification(35,:)=[0 0 0]; %Bravo HD 
specification(36,:)=[0 0 0]; %Capital News 9 
specification(37,:)=[1 1 1]; %Cartoon Network 
specification(38,:)=[0 0 0]; %Cartoon Network HD 
specification(39,:)=[0 0 0]; %Cartoon Network Tambien en Espanol 
specification(40,:)=[0 0 0]; %Catch 47 
specification(41,:)=[0 0 0]; %Central Florida News 13 
specification(42,:)=[0 0 0]; %Chicagoland Television News 
specification(43,:)=[0 0 0]; %Chiller 
specification(44,:)=[0 0 0]; %Cinemax 
specification(45,:)=[0 0 0]; %Cinemax HD 
specification(46,:)=[0 0 0]; %Cinemax On Demand 
specification(47,:)=[0 0 0]; %CMT HD 
specification(48,:)=[0 0 0]; %VH1 Country 
specification(49,:)=[1 1 1]; %CNBC 
specification(50,:)=[0 0 0]; %CNBC HD+ 
specification(51,:)=[0 0 0]; %CNBC World 
specification(52,:)=[1 1 1]; %CNN 
specification(53,:)=[0 0 0]; %CNN en Espanol 
specification(54,:)=[0 0 0]; %CNN HD 
specification(55,:)=[0 0 0]; %CNN International 
specification(56,:)=[0 0 0]; %CBS College Sports Network 
specification(57,:)=[0 0 0]; %CBS College Sports Network HD 
specification(58,:)=[0 0 0]; %Comcast Local Detroit 
specification(59,:)=[0 0 0]; %Comcast SportsNet Chicago 
specification(60,:)=[0 0 0]; %Comcast SportsNet Mid-Atlantic 
specification(61,:)=[0 0 0]; %Comcast Sportsnet New England 
specification(62,:)=[0 0 0]; %Comcast SportsNet Northwest 
specification(63,:)=[0 0 0]; %Comcast SportsNet Philly 
specification(64,:)=[0 0 0]; %Comcast SportsNet West 
specification(65,:)=[0 0 0]; %Comcast/Charter Sports Southeast (CSS) 
specification(66,:)=[1 1 1]; %Comedy Central 
specification(67,:)=[0 0 0]; %Comedy Network 
specification(68,:)=[1 1 1]; %Country Music TV 
specification(69,:)=[1 1 1]; %Court TV 
specification(70,:)=[0 0 0]; %Cox Sports Television 
specification(71,:)=[0 0 0]; %C-SPAN 
specification(72,:)=[0 0 0]; %C-SPAN 2 
specification(73,:)=[0 0 0]; %C-SPAN 3 
specification(74,:)=[0 0 0]; %C-SPAN Extra 
specification(75,:)=[0 0 0]; %Current 
specification(76,:)=[1 1 1]; %Discovery Channel 
specification(77,:)=[0 0 0]; %Discovery Channel HD 
specification(78,:)=[0 0 0]; %Discovery Digital Networks 
specification(79,:)=[0 0 0]; %Discovery en Espanol 
specification(80,:)=[0 0 0]; %Discovery HD Theater 
specification(81,:)=[0 0 0]; %Discovery Health Channel 
specification(82,:)=[0 0 0]; %Discovery Home Channel 
specification(83,:)=[0 0 0]; %Discovery Kids Channel 
specification(84,:)=[0 0 0]; %Discovery Kids en Espanol 
specification(85,:)=[0 0 0]; %Discovery Military Channel 
specification(86,:)=[0 0 0]; %Discovery Planet Green 
specification(87,:)=[0 0 0]; %Discovery Planet Green HD 
specification(88,:)=[0 0 0]; %Discovery Times Channel 
specification(89,:)=[0 0 0]; %Discovery Travel & Living (Viajar y Vivir) 
specification(90,:)=[1 1 1]; %Disney Channel 
specification(91,:)=[0 0 0]; %Disney Channel HD 
specification(92,:)=[0 0 0]; %Disney XD 
specification(93,:)=[0 0 0]; %Disney XD en Espanol 
specification(94,:)=[0 0 0]; %Disney XD HD 
specification(95,:)=[0 0 0]; %Do-It-Yourself 
specification(96,:)=[0 0 0]; %Do-It-Yourself On Demand 
specification(97,:)=[1 1 1]; %E! Entertainment Television 
specification(98,:)=[0 0 0]; %E! Entertainment Television HD 
specification(99,:)=[0 0 0]; %Empire Sports Network 
specification(100,:)=[0 0 0]; %Encore 
specification(101,:)=[0 0 0]; %Encore Action 
specification(102,:)=[0 0 0]; %Encore Drama 
specification(103,:)=[0 0 0]; %Encore HD 
specification(104,:)=[0 0 0]; %Encore Love 
specification(105,:)=[0 0 0]; %Encore Movie Networks 
specification(106,:)=[0 0 0]; %Encore Mystery 
specification(107,:)=[0 0 0]; %Encore Wam 
specification(108,:)=[0 0 0]; %Encore Westerns 
specification(109,:)=[1 1 1]; %ESPN 
specification(110,:)=[1 1 1]; %ESPN 2 
specification(111,:)=[0 0 0]; %ESPN 2 HD 
specification(112,:)=[0 0 0]; %ESPN Classic Sports 
specification(113,:)=[0 0 0]; %ESPN Deportes 
specification(114,:)=[0 0 0]; %ESPN Deportes On Demand 
specification(115,:)=[0 0 0]; %ESPN Extra 
specification(116,:)=[0 0 0]; %ESPN Full Court 
specification(117,:)=[0 0 0]; %ESPN HD 
specification(118,:)=[0 0 0]; %ESPN Now 
specification(119,:)=[0 0 0]; %ESPN On Demand 
specification(120,:)=[0 0 0]; %ESPN U 
specification(121,:)=[0 0 0]; %ESPN U On Demand 
specification(122,:)=[0 0 0]; %ESPNews 
specification(123,:)=[0 0 0]; %ESPNews HD 
specification(124,:)=[0 0 0]; %ESPNOL 
specification(125,:)=[0 0 0]; %ESPNU HD 
specification(126,:)=[0 0 0]; %FearNet 
specification(127,:)=[0 0 0]; %Fine Living 
specification(128,:)=[0 0 0]; %Fine Living On Demand 
specification(129,:)=[0 0 0]; %FitTV 
specification(130,:)=[0 0 0]; %Flix 
specification(131,:)=[0 0 0]; %Flix On Demand 
specification(132,:)=[1 1 1]; %Food Network 
specification(133,:)=[0 0 0]; %Food Network HD 
specification(134,:)=[0 0 0]; %Food Network On Demand 
specification(135,:)=[0 0 0]; %Fox Business Channel 
specification(136,:)=[0 0 0]; %Fox Business Channel HD 
specification(137,:)=[0 0 0]; %Fox College Sports Atlantic 
specification(138,:)=[0 0 0]; %Fox College Sports Central 
specification(139,:)=[0 0 0]; %Fox College Sports Pacific 
specification(140,:)=[0 0 0]; %Fox Movie Channel 
specification(141,:)=[1 1 1]; %Fox News Channel 
specification(142,:)=[0 0 0]; %Fox News HD 
specification(143,:)=[0 0 0]; %Fox Reality Channel 
specification(144,:)=[0 0 0]; %Fox Soccer  
specification(145,:)=[0 0 0]; %Fox Sports en Espanol 
specification(146,:)=[1 1 1]; %Fox Sports Net 
specification(147,:)=[0 0 0]; %Fox Sports Net Arizona 
specification(148,:)=[0 0 0]; %Fox Sports Net Bay Area 
specification(149,:)=[0 0 0]; %Fox Sports Net Chicago 
specification(150,:)=[0 0 0]; %Fox Sports Net Detroit 
specification(151,:)=[0 0 0]; %Fox Sports Net Florida 
specification(152,:)=[0 0 0]; %FSN HD 
specification(153,:)=[0 0 0]; %Fox Sports Net Indiana 
specification(154,:)=[0 0 0]; %Fox Sports Net Mid-Atlantic 
specification(155,:)=[0 0 0]; %Fox Sports Net Midwest 
specification(156,:)=[0 0 0]; %Fox Sports Net Minnesota 
specification(157,:)=[0 0 0]; %Fox Sports Net New England 
specification(158,:)=[0 0 0]; %Fox Sports Net New York 
specification(159,:)=[0 0 0]; %Fox Sports Net North 
specification(160,:)=[0 0 0]; %Fox Sports Net Northwest 
specification(161,:)=[0 0 0]; %Fox Sports Net Ohio 
specification(162,:)=[0 0 0]; %Fox Sports Net Philadelphia 
specification(163,:)=[0 0 0]; %Fox Sports Net Pittsburgh 
specification(164,:)=[0 0 0]; %Fox Sports Net Prime Ticket 
specification(165,:)=[0 0 0]; %Fox Sports Net Rocky Mountain 
specification(166,:)=[0 0 0]; %Fox Sports Net South 
specification(167,:)=[0 0 0]; %Fox Sports Net Southwest 
specification(168,:)=[0 0 0]; %Fox Sports Net West 
specification(169,:)=[0 0 0]; %Fox Sports Net Wisconsin 
specification(170,:)=[0 0 0]; %Fuel TV 
specification(171,:)=[0 0 0]; %Fuse 
specification(172,:)=[1 1 1]; %FX 
specification(173,:)=[0 0 0]; %FX HD 
specification(174,:)=[0 0 0]; %G4 
specification(175,:)=[0 0 0]; %GalaVision 
specification(176,:)=[1 1 1]; %GSN 
specification(177,:)=[0 0 0]; %GameHD 
specification(178,:)=[0 0 0]; %GAS 
specification(179,:)=[0 0 0]; %GemsTV 
specification(180,:)=[1 1 1]; %Golf Channel 
specification(181,:)=[0 0 0]; %Golf Channel HD 
specification(182,:)=[0 0 0]; %Gol TV 
specification(183,:)=[0 0 0]; %Gospel Music Channel 
specification(184,:)=[0 0 0]; %Gospel Music TV 
specification(185,:)=[0 0 0]; %Great American Country (GAC) 
specification(186,:)=[0 0 0]; %Great American Country On Demand 
specification(187,:)=[1 1 1]; %Hallmark Channel 
specification(188,:)=[0 0 0]; %Hallmark Movie Channel 
specification(189,:)=[0 0 0]; %Hallmark Movie Channel HD 
specification(190,:)=[0 0 0]; %HBO 
specification(191,:)=[0 0 0]; %HBO 2 
specification(192,:)=[0 0 0]; %HBO Family 
specification(193,:)=[0 0 0]; %HBO HD 
specification(194,:)=[0 0 0]; %HBO On Demand 
specification(195,:)=[0 0 0]; %HBO Signature 
specification(196,:)=[0 0 0]; %HBO The Works 
specification(197,:)=[0 0 0]; %HDNet 
specification(198,:)=[0 0 0]; %HDNet Movies 
specification(199,:)=[0 0 0]; %here! TV 
specification(200,:)=[1 1 1]; %HGTV 
specification(201,:)=[0 0 0]; %HGTV HD 
specification(202,:)=[0 0 0]; %HGTV On Demand 
specification(203,:)=[1 1 1]; %History Channel 
specification(204,:)=[0 0 0]; %History Channel en Espanol 
specification(205,:)=[0 0 0]; %History Channel HD 
specification(206,:)=[0 0 0]; %History Channel International 
specification(207,:)=[0 0 0]; %Home Shopping Network (HSN Inc.) 
specification(208,:)=[0 0 0]; %Home Shopping Network 2 
specification(209,:)=[0 0 0]; %Home Team Sports 
specification(210,:)=[0 0 0]; %ImaginAsian TV 
specification(211,:)=[0 0 0]; %Independent Film Channel 
specification(212,:)=[0 0 0]; %INHD 
specification(213,:)=[0 0 0]; %INHD2 
specification(214,:)=[0 0 0]; %Jewelry Television 
specification(215,:)=[1 1 1]; %Lifetime 
specification(216,:)=[0 0 0]; %Lifetime Movie Network 
specification(217,:)=[0 0 0]; %Lifetime Movie Network HD 
specification(218,:)=[0 0 0]; %Lifetime Real Women 
specification(219,:)=[0 0 0]; %Lifetime Television HD 
specification(220,:)=[0 0 0]; %Lime 
specification(221,:)=[0 0 0]; %LOGO 
specification(222,:)=[0 0 0]; %B-Mania 
specification(223,:)=[0 0 0]; %MSG 226
specification(224,:)=[0 0 0]; %Metro Sports 
specification(225,:)=[0 0 0]; %MGM HD 
specification(226,:)=[0 0 0]; %Mid-Atlantic Sports Network 
specification(227,:)=[0 0 0]; %Military History Channel 
specification(228,:)=[0 0 0]; %MLB Network 
specification(229,:)=[0 0 0]; %MLB Extra Innings 
specification(230,:)=[0 0 0]; %Mojo HD 
specification(231,:)=[0 0 0]; %MoreMAX 
specification(232,:)=[0 0 0]; %MoviePlex 
specification(233,:)=[0 0 0]; %MSG Plus 
specification(234,:)=[1 1 1]; %MSNBC 
specification(235,:)=[1 1 1]; %MTV 
specification(236,:)=[0 0 0]; %MTV Hits 
specification(237,:)=[0 0 0]; %MTV Jams 
specification(238,:)=[0 0 0]; %MTV Networks Digital Suite 
specification(239,:)=[0 0 0]; %MTV Networks HD 
specification(240,:)=[0 0 0]; %MTV Tres 
specification(241,:)=[1 1 1]; %MTV2 
specification(242,:)=[0 0 0]; %mun2 television 
specification(243,:)=[1 1 1]; %National Geographic Channel 
specification(244,:)=[0 0 0]; %National Geographic Channel HD Network 
specification(245,:)=[0 0 0]; %National Geographic Channel On Demand 
specification(246,:)=[0 0 0]; %NBA TV 
specification(247,:)=[0 0 0]; %NBA TV HD 
specification(248,:)=[0 0 0]; %New England Sports Network 
specification(249,:)=[0 0 0]; %New York 1 News 
specification(250,:)=[0 0 0]; %News 10 Now 
specification(251,:)=[0 0 0]; %News 12 Long Island 
specification(252,:)=[0 0 0]; %News 12 New Jersey 
specification(253,:)=[0 0 0]; %News 12 Traffic & Weather 
specification(254,:)=[0 0 0]; %News 12 Westchester 
specification(255,:)=[0 0 0]; %News 14 Carolina 
specification(256,:)=[0 0 0]; %News 8 Austin 
specification(257,:)=[0 0 0]; %News Now 53 
specification(258,:)=[0 0 0]; %News Plus 
specification(259,:)=[0 0 0]; %NewsChannel 8 
specification(260,:)=[0 0 0]; %NFL Network 
specification(261,:)=[0 0 0]; %NFL Network HD 
specification(262,:)=[0 0 0]; %NHL Network 
specification(263,:)=[0 0 0]; %NHL Network HD 
specification(264,:)=[0 0 0]; %Nick HD 
specification(265,:)=[0 0 0]; %Nick Too 
specification(266,:)=[1 1 1]; %Nickelodeon 
specification(267,:)=[0 0 0]; %NickToons TV 
specification(268,:)=[0 0 0]; %Noggin 
specification(269,:)=[0 0 0]; %The N 
specification(270,:)=[0 0 0]; %Northwest Cable News 
specification(271,:)=[0 0 0]; %Ohio News Network 
specification(272,:)=[0 0 0]; %Outdoor Channel 
specification(273,:)=[0 0 0]; %Outdoor Channel 2 HD 
specification(274,:)=[0 0 0]; %Outdoor Channel On Demand 
specification(275,:)=[0 0 0]; %Ovation 
specification(276,:)=[1 1 1]; %Oxygen 
specification(277,:)=[0 0 0]; %Oxygen On Demand 
specification(278,:)=[0 0 0]; %Palladia 
specification(279,:)=[0 0 0]; %PBS HD 
specification(280,:)=[0 0 0]; %PBS Kids Sprout 
specification(281,:)=[0 0 0]; %Pittsburgh Cable News Channel 
specification(282,:)=[0 0 0]; %Playboy TV 
specification(283,:)=[0 0 0]; %Qubo 
specification(284,:)=[0 0 0]; %QVC 
specification(285,:)=[0 0 0]; %QVC HD 
specification(286,:)=[0 0 0]; %ReelzChannel 
specification(287,:)=[0 0 0]; %Rhode Island News Channel 
specification(288,:)=[0 0 0]; %Science Channel HD 
specification(289,:)=[1 1 1]; %Syfy 
specification(290,:)=[0 0 0]; %Shop at Home 
specification(291,:)=[0 0 0]; %ShopNBC 
specification(292,:)=[0 0 0]; %Showtime 
specification(293,:)=[0 0 0]; %Showtime HD 
specification(294,:)=[0 0 0]; %Showtime On Demand 
specification(295,:)=[0 0 0]; %Showtime Too 
specification(296,:)=[0 0 0]; %Si TV 
specification(297,:)=[0 0 0]; %Sleuth 
specification(298,:)=[0 0 0]; %Smithsonian Channel HD 
specification(299,:)=[1 1 1]; %SoapNet 
specification(300,:)=[0 0 0]; %Sorpresa 
specification(301,:)=[1 1 1]; %Speed Channel 
specification(302,:)=[0 0 0]; %Speed HD 
specification(303,:)=[0 0 0]; %Speed On Demand 
specification(304,:)=[1 1 1]; %Spike TV 
specification(305,:)=[0 0 0]; %Spike TV HD 
specification(306,:)=[0 0 0]; %SportsNet New York 
specification(307,:)=[0 0 0]; %SportSouth 
specification(308,:)=[0 0 0]; %SportsTime Ohio 
specification(309,:)=[0 0 0]; %Starz 
specification(310,:)=[0 0 0]; %Starz Cinema 
specification(311,:)=[0 0 0]; %Starz Comedy 
specification(312,:)=[0 0 0]; %Starz Edge 
specification(313,:)=[0 0 0]; %Starz HDTV 
specification(314,:)=[0 0 0]; %Starz InBlack 
specification(315,:)=[0 0 0]; %Starz IndiePlex 
specification(316,:)=[0 0 0]; %Starz Kids & Family 
specification(317,:)=[0 0 0]; %Starz On Demand 
specification(318,:)=[0 0 0]; %Starz RetroPlex 
specification(319,:)=[0 0 0]; %Style Network 
specification(320,:)=[0 0 0]; %SunSports TV 
specification(321,:)=[0 0 0]; %Sundance Channel 
specification(322,:)=[0 0 0]; %Sunshine Network 
specification(323,:)=[0 0 0]; %Superstation WGN 
specification(324,:)=[0 0 0]; %Syfy HD 
specification(325,:)=[0 0 0]; %TBN HD 
specification(326,:)=[1 1 1]; %TBS Superstation 
specification(327,:)=[0 0 0]; %TBS in HD 
specification(328,:)=[0 0 0]; %Tennis Channel 
specification(329,:)=[0 0 0]; %Tennis Channel HD 
specification(330,:)=[0 0 0]; %Texas Cable News 
specification(331,:)=[0 0 0]; %The Comcast Network 
specification(332,:)=[0 0 0]; %The Movie Channel 
specification(333,:)=[0 0 0]; %The Movie Channel HD 
specification(334,:)=[0 0 0]; %The Movie Channel On Demand 
specification(335,:)=[0 0 0]; %the mtn 
specification(336,:)=[0 0 0]; %The New Encore 
specification(337,:)=[0 0 0]; %Discovery Science Channel 
specification(338,:)=[0 0 0]; %The Sportsman Channel 
specification(339,:)=[1 1 1]; %The Weather Channel 
specification(340,:)=[0 0 0]; %Time Warner Sports Milwaukee 
specification(341,:)=[1 1 1]; %TLC 
specification(342,:)=[0 0 0]; %TLC HD 
specification(343,:)=[1 1 1]; %TNT 
specification(344,:)=[1 1 1]; %Toon Disney 
specification(345,:)=[0 0 0]; %Toon Disney en Espanol 
specification(346,:)=[0 0 0]; %Toon Disney HD 
specification(347,:)=[1 1 1]; %Travel Channel 
specification(348,:)=[0 0 0]; %Travel Channel HD 
specification(349,:)=[0 0 0]; %Trio 
specification(350,:)=[0 0 0]; %Turner Classic Movies 
specification(351,:)=[0 0 0]; %Turner Network TV HD 
specification(352,:)=[0 0 0]; %Turner South 
specification(353,:)=[1 1 1]; %TV Guide Channel 
specification(354,:)=[1 1 1]; %TV Land 
specification(355,:)=[0 0 0]; %TV One 
specification(356,:)=[0 0 0]; %TVG Network 
specification(357,:)=[0 0 0]; %Universal HD 
specification(358,:)=[1 1 1]; %USA Network 
specification(359,:)=[0 0 0]; %USA Network HD 
specification(360,:)=[1 1 1]; %Versus 
specification(361,:)=[0 0 0]; %Versus HD 
specification(362,:)=[0 0 0]; %Versus On Demand 
specification(363,:)=[1 1 1]; %VH1 
specification(364,:)=[0 0 0]; %VH1 Classic 
specification(365,:)=[0 0 0]; %VH1 HD 
specification(366,:)=[0 0 0]; %VH1 Soul 
specification(367,:)=[0 0 0]; %VHUNO 
specification(368,:)=[0 0 0]; %WAM! America's Kidz Network 
specification(369,:)=[1 1 1]; %WE: Women's Entertainment 
specification(370,:)=[0 0 0]; %WealthTV 
specification(371,:)=[0 0 0]; %WealthTV HD 
specification(372,:)=[0 0 0]; %Weather Channel HD 
specification(373,:)=[0 0 0]; %World Cinema HD 
specification(374,:)=[0 0 0]; %Yankees Entertainment & Sports (YES)
specification(375,:)=[0 0 0]; %YES HD 

% 
% specification(1,:)=[0 0 0]; %10 News 2 
% specification(2,:)=[0 0 0]; %4SD 
% specification(3,:)=[0 0 0]; %ABC Family Channel  
% specification(4,:)=[0 0 0]; %ABC Family HD 
% specification(5,:)=[0 0 0]; %ActionMax 
% specification(6,:)=[0 0 0]; %Altitude Sports & Entertainment 
% specification(7,:)=[0 0 0]; %AMC HD 
% specification(8,:)=[0 0 0]; %AmericanLife TV Network 
% specification(9,:)=[0 0 0]; %AMC 
% specification(10,:)=[0 0 0]; %America's Collectibles Network 
% specification(11,:)=[0 0 0]; %America's Store 
% specification(12,:)=[0 0 0]; %Animal Planet 
% specification(13,:)=[0 0 0]; %Animal Planet HD 
% specification(14,:)=[0 0 0]; %Anime Network 
% specification(15,:)=[0 0 0]; %Arts & Entertainment 
% specification(16,:)=[0 0 0]; %Arts & Entertainment HD 
% specification(17,:)=[0 0 0]; %AZN Television 
% specification(18,:)=[0 0 0]; %BabyFirst TV 
% specification(19,:)=[0 0 0]; %Bay News 9 
% specification(20,:)=[0 0 0]; %Bay News 9 Espanol 
% specification(21,:)=[0 0 0]; %BBC America 
% specification(22,:)=[0 0 0]; %BBC America On Demand 
% specification(23,:)=[0 0 0]; %BBC World News 
% specification(24,:)=[0 0 0]; %BET J 
% specification(25,:)=[0 0 0]; %Big Ten Network 
% specification(26,:)=[0 0 0]; %Big Ten Network HD 
% specification(27,:)=[0 0 0]; %Bio HD 
% specification(28,:)=[0 0 0]; %Bio 
% specification(29,:)=[1 1 1]; %BET Networks 
% specification(30,:)=[0 0 0]; %Black Family Channel 
% specification(31,:)=[0 0 0]; %Bloomberg Television 
% specification(32,:)=[0 0 0]; %Boomerang 
% specification(33,:)=[0 0 0]; %Boomerang en Espanol 
% specification(34,:)=[0 0 0]; %Bravo 
% specification(35,:)=[0 0 0]; %Bravo HD 
% specification(36,:)=[0 0 0]; %Capital News 9 
% specification(37,:)=[0 0 0]; %Cartoon Network 
% specification(38,:)=[0 0 0]; %Cartoon Network HD 
% specification(39,:)=[0 0 0]; %Cartoon Network Tambien en Espanol 
% specification(40,:)=[0 0 0]; %Catch 47 
% specification(41,:)=[0 0 0]; %Central Florida News 13 
% specification(42,:)=[0 0 0]; %Chicagoland Television News 
% specification(43,:)=[0 0 0]; %Chiller 
% specification(44,:)=[0 0 0]; %Cinemax 
% specification(45,:)=[0 0 0]; %Cinemax HD 
% specification(46,:)=[0 0 0]; %Cinemax On Demand 
% specification(47,:)=[0 0 0]; %CMT HD 
% specification(48,:)=[0 0 0]; %VH1 Country 
% specification(49,:)=[0 0 0]; %CNBC 
% specification(50,:)=[0 0 0]; %CNBC HD+ 
% specification(51,:)=[0 0 0]; %CNBC World 
% specification(52,:)=[1 1 1]; %CNN 
% specification(53,:)=[0 0 0]; %CNN en Espanol 
% specification(54,:)=[0 0 0]; %CNN HD 
% specification(55,:)=[0 0 0]; %CNN International 
% specification(56,:)=[0 0 0]; %CBS College Sports Network 
% specification(57,:)=[0 0 0]; %CBS College Sports Network HD 
% specification(58,:)=[0 0 0]; %Comcast Local Detroit 
% specification(59,:)=[0 0 0]; %Comcast SportsNet Chicago 
% specification(60,:)=[0 0 0]; %Comcast SportsNet Mid-Atlantic 
% specification(61,:)=[0 0 0]; %Comcast Sportsnet New England 
% specification(62,:)=[0 0 0]; %Comcast SportsNet Northwest 
% specification(63,:)=[0 0 0]; %Comcast SportsNet Philly 
% specification(64,:)=[0 0 0]; %Comcast SportsNet West 
% specification(65,:)=[0 0 0]; %Comcast/Charter Sports Southeast (CSS) 
% specification(66,:)=[0 0 0]; %Comedy Central 
% specification(67,:)=[0 0 0]; %Comedy Network 
% specification(68,:)=[0 0 0]; %Country Music TV 
% specification(69,:)=[0 0 0]; %Court TV 
% specification(70,:)=[0 0 0]; %Cox Sports Television 
% specification(71,:)=[0 0 0]; %C-SPAN 
% specification(72,:)=[0 0 0]; %C-SPAN 2 
% specification(73,:)=[0 0 0]; %C-SPAN 3 
% specification(74,:)=[0 0 0]; %C-SPAN Extra 
% specification(75,:)=[0 0 0]; %Current 
% specification(76,:)=[1 1 1]; %Discovery Channel 
% specification(77,:)=[0 0 0]; %Discovery Channel HD 
% specification(78,:)=[0 0 0]; %Discovery Digital Networks 
% specification(79,:)=[0 0 0]; %Discovery en Espanol 
% specification(80,:)=[0 0 0]; %Discovery HD Theater 
% specification(81,:)=[0 0 0]; %Discovery Health Channel 
% specification(82,:)=[0 0 0]; %Discovery Home Channel 
% specification(83,:)=[0 0 0]; %Discovery Kids Channel 
% specification(84,:)=[0 0 0]; %Discovery Kids en Espanol 
% specification(85,:)=[0 0 0]; %Discovery Military Channel 
% specification(86,:)=[0 0 0]; %Discovery Planet Green 
% specification(87,:)=[0 0 0]; %Discovery Planet Green HD 
% specification(88,:)=[0 0 0]; %Discovery Times Channel 
% specification(89,:)=[0 0 0]; %Discovery Travel & Living (Viajar y Vivir) 
% specification(90,:)=[1 1 1]; %Disney Channel 
% specification(91,:)=[0 0 0]; %Disney Channel HD 
% specification(92,:)=[0 0 0]; %Disney XD 
% specification(93,:)=[0 0 0]; %Disney XD en Espanol 
% specification(94,:)=[0 0 0]; %Disney XD HD 
% specification(95,:)=[0 0 0]; %Do-It-Yourself 
% specification(96,:)=[0 0 0]; %Do-It-Yourself On Demand 
% specification(97,:)=[0 0 0]; %E! Entertainment Television 
% specification(98,:)=[0 0 0]; %E! Entertainment Television HD 
% specification(99,:)=[0 0 0]; %Empire Sports Network 
% specification(100,:)=[0 0 0]; %Encore 
% specification(101,:)=[0 0 0]; %Encore Action 
% specification(102,:)=[0 0 0]; %Encore Drama 
% specification(103,:)=[0 0 0]; %Encore HD 
% specification(104,:)=[0 0 0]; %Encore Love 
% specification(105,:)=[0 0 0]; %Encore Movie Networks 
% specification(106,:)=[0 0 0]; %Encore Mystery 
% specification(107,:)=[0 0 0]; %Encore Wam 
% specification(108,:)=[0 0 0]; %Encore Westerns 
% specification(109,:)=[1 1 1]; %ESPN 
% specification(110,:)=[0 0 0]; %ESPN 2 
% specification(111,:)=[0 0 0]; %ESPN 2 HD 
% specification(112,:)=[0 0 0]; %ESPN Classic Sports 
% specification(113,:)=[0 0 0]; %ESPN Deportes 
% specification(114,:)=[0 0 0]; %ESPN Deportes On Demand 
% specification(115,:)=[0 0 0]; %ESPN Extra 
% specification(116,:)=[0 0 0]; %ESPN Full Court 
% specification(117,:)=[0 0 0]; %ESPN HD 
% specification(118,:)=[0 0 0]; %ESPN Now 
% specification(119,:)=[0 0 0]; %ESPN On Demand 
% specification(120,:)=[0 0 0]; %ESPN U 
% specification(121,:)=[0 0 0]; %ESPN U On Demand 
% specification(122,:)=[0 0 0]; %ESPNews 
% specification(123,:)=[0 0 0]; %ESPNews HD 
% specification(124,:)=[0 0 0]; %ESPNOL 
% specification(125,:)=[0 0 0]; %ESPNU HD 
% specification(126,:)=[0 0 0]; %FearNet 
% specification(127,:)=[0 0 0]; %Fine Living 
% specification(128,:)=[0 0 0]; %Fine Living On Demand 
% specification(129,:)=[0 0 0]; %FitTV 
% specification(130,:)=[0 0 0]; %Flix 
% specification(131,:)=[0 0 0]; %Flix On Demand 
% specification(132,:)=[0 0 0]; %Food Network 
% specification(133,:)=[0 0 0]; %Food Network HD 
% specification(134,:)=[0 0 0]; %Food Network On Demand 
% specification(135,:)=[0 0 0]; %Fox Business Channel 
% specification(136,:)=[0 0 0]; %Fox Business Channel HD 
% specification(137,:)=[0 0 0]; %Fox College Sports Atlantic 
% specification(138,:)=[0 0 0]; %Fox College Sports Central 
% specification(139,:)=[0 0 0]; %Fox College Sports Pacific 
% specification(140,:)=[0 0 0]; %Fox Movie Channel 
% specification(141,:)=[1 1 1]; %Fox News Channel 
% specification(142,:)=[0 0 0]; %Fox News HD 
% specification(143,:)=[0 0 0]; %Fox Reality Channel 
% specification(144,:)=[0 0 0]; %Fox Soccer  
% specification(145,:)=[0 0 0]; %Fox Sports en Espanol 
% specification(146,:)=[0 0 0]; %Fox Sports Net 
% specification(147,:)=[0 0 0]; %Fox Sports Net Arizona 
% specification(148,:)=[0 0 0]; %Fox Sports Net Bay Area 
% specification(149,:)=[0 0 0]; %Fox Sports Net Chicago 
% specification(150,:)=[0 0 0]; %Fox Sports Net Detroit 
% specification(151,:)=[0 0 0]; %Fox Sports Net Florida 
% specification(152,:)=[0 0 0]; %FSN HD 
% specification(153,:)=[0 0 0]; %Fox Sports Net Indiana 
% specification(154,:)=[0 0 0]; %Fox Sports Net Mid-Atlantic 
% specification(155,:)=[0 0 0]; %Fox Sports Net Midwest 
% specification(156,:)=[0 0 0]; %Fox Sports Net Minnesota 
% specification(157,:)=[0 0 0]; %Fox Sports Net New England 
% specification(158,:)=[0 0 0]; %Fox Sports Net New York 
% specification(159,:)=[0 0 0]; %Fox Sports Net North 
% specification(160,:)=[0 0 0]; %Fox Sports Net Northwest 
% specification(161,:)=[0 0 0]; %Fox Sports Net Ohio 
% specification(162,:)=[0 0 0]; %Fox Sports Net Philadelphia 
% specification(163,:)=[0 0 0]; %Fox Sports Net Pittsburgh 
% specification(164,:)=[0 0 0]; %Fox Sports Net Prime Ticket 
% specification(165,:)=[0 0 0]; %Fox Sports Net Rocky Mountain 
% specification(166,:)=[0 0 0]; %Fox Sports Net South 
% specification(167,:)=[0 0 0]; %Fox Sports Net Southwest 
% specification(168,:)=[0 0 0]; %Fox Sports Net West 
% specification(169,:)=[0 0 0]; %Fox Sports Net Wisconsin 
% specification(170,:)=[0 0 0]; %Fuel TV 
% specification(171,:)=[0 0 0]; %Fuse 
% specification(172,:)=[1 1 1]; %FX 
% specification(173,:)=[0 0 0]; %FX HD 
% specification(174,:)=[0 0 0]; %G4 
% specification(175,:)=[0 0 0]; %GalaVision 
% specification(176,:)=[0 0 0]; %GSN 
% specification(177,:)=[0 0 0]; %GameHD 
% specification(178,:)=[0 0 0]; %GAS 
% specification(179,:)=[0 0 0]; %GemsTV 
% specification(180,:)=[0 0 0]; %Golf Channel 
% specification(181,:)=[0 0 0]; %Golf Channel HD 
% specification(182,:)=[0 0 0]; %Gol TV 
% specification(183,:)=[0 0 0]; %Gospel Music Channel 
% specification(184,:)=[0 0 0]; %Gospel Music TV 
% specification(185,:)=[0 0 0]; %Great American Country (GAC) 
% specification(186,:)=[0 0 0]; %Great American Country On Demand 
% specification(187,:)=[0 0 0]; %Hallmark Channel 
% specification(188,:)=[0 0 0]; %Hallmark Movie Channel 
% specification(189,:)=[0 0 0]; %Hallmark Movie Channel HD 
% specification(190,:)=[0 0 0]; %HBO 
% specification(191,:)=[0 0 0]; %HBO 2 
% specification(192,:)=[0 0 0]; %HBO Family 
% specification(193,:)=[0 0 0]; %HBO HD 
% specification(194,:)=[0 0 0]; %HBO On Demand 
% specification(195,:)=[0 0 0]; %HBO Signature 
% specification(196,:)=[0 0 0]; %HBO The Works 
% specification(197,:)=[0 0 0]; %HDNet 
% specification(198,:)=[0 0 0]; %HDNet Movies 
% specification(199,:)=[0 0 0]; %here! TV 
% specification(200,:)=[0 0 0]; %HGTV 
% specification(201,:)=[0 0 0]; %HGTV HD 
% specification(202,:)=[0 0 0]; %HGTV On Demand 
% specification(203,:)=[0 0 0]; %History Channel 
% specification(204,:)=[0 0 0]; %History Channel en Espanol 
% specification(205,:)=[0 0 0]; %History Channel HD 
% specification(206,:)=[0 0 0]; %History Channel International 
% specification(207,:)=[0 0 0]; %Home Shopping Network (HSN Inc.) 
% specification(208,:)=[0 0 0]; %Home Shopping Network 2 
% specification(209,:)=[0 0 0]; %Home Team Sports 
% specification(210,:)=[0 0 0]; %ImaginAsian TV 
% specification(211,:)=[0 0 0]; %Independent Film Channel 
% specification(212,:)=[0 0 0]; %INHD 
% specification(213,:)=[0 0 0]; %INHD2 
% specification(214,:)=[0 0 0]; %Jewelry Television 
% specification(215,:)=[0 0 0]; %Lifetime 
% specification(216,:)=[0 0 0]; %Lifetime Movie Network 
% specification(217,:)=[0 0 0]; %Lifetime Movie Network HD 
% specification(218,:)=[0 0 0]; %Lifetime Real Women 
% specification(219,:)=[0 0 0]; %Lifetime Television HD 
% specification(220,:)=[0 0 0]; %Lime 
% specification(221,:)=[0 0 0]; %LOGO 
% specification(222,:)=[0 0 0]; %B-Mania 
% specification(223,:)=[0 0 0]; %MSG 
% specification(224,:)=[0 0 0]; %Metro Sports 
% specification(225,:)=[0 0 0]; %MGM HD 
% specification(226,:)=[0 0 0]; %Mid-Atlantic Sports Network 
% specification(227,:)=[0 0 0]; %Military History Channel 
% specification(228,:)=[0 0 0]; %MLB Network 
% specification(229,:)=[0 0 0]; %MLB Extra Innings 
% specification(230,:)=[0 0 0]; %Mojo HD 
% specification(231,:)=[0 0 0]; %MoreMAX 
% specification(232,:)=[0 0 0]; %MoviePlex 
% specification(233,:)=[0 0 0]; %MSG Plus 
% specification(234,:)=[0 0 0]; %MSNBC 
% specification(235,:)=[0 0 0]; %MTV 
% specification(236,:)=[0 0 0]; %MTV Hits 
% specification(237,:)=[0 0 0]; %MTV Jams 
% specification(238,:)=[0 0 0]; %MTV Networks Digital Suite 
% specification(239,:)=[0 0 0]; %MTV Networks HD 
% specification(240,:)=[0 0 0]; %MTV Tres 
% specification(241,:)=[0 0 0]; %MTV2 
% specification(242,:)=[0 0 0]; %mun2 television 
% specification(243,:)=[0 0 0]; %National Geographic Channel 
% specification(244,:)=[0 0 0]; %National Geographic Channel HD Network 
% specification(245,:)=[0 0 0]; %National Geographic Channel On Demand 
% specification(246,:)=[0 0 0]; %NBA TV 
% specification(247,:)=[0 0 0]; %NBA TV HD 
% specification(248,:)=[0 0 0]; %New England Sports Network 
% specification(249,:)=[0 0 0]; %New York 1 News 
% specification(250,:)=[0 0 0]; %News 10 Now 
% specification(251,:)=[0 0 0]; %News 12 Long Island 
% specification(252,:)=[0 0 0]; %News 12 New Jersey 
% specification(253,:)=[0 0 0]; %News 12 Traffic & Weather 
% specification(254,:)=[0 0 0]; %News 12 Westchester 
% specification(255,:)=[0 0 0]; %News 14 Carolina 
% specification(256,:)=[0 0 0]; %News 8 Austin 
% specification(257,:)=[0 0 0]; %News Now 53 
% specification(258,:)=[0 0 0]; %News Plus 
% specification(259,:)=[0 0 0]; %NewsChannel 8 
% specification(260,:)=[0 0 0]; %NFL Network 
% specification(261,:)=[0 0 0]; %NFL Network HD 
% specification(262,:)=[0 0 0]; %NHL Network 
% specification(263,:)=[0 0 0]; %NHL Network HD 
% specification(264,:)=[0 0 0]; %Nick HD 
% specification(265,:)=[0 0 0]; %Nick Too 
% specification(266,:)=[1 1 1]; %Nickelodeon 
% specification(267,:)=[0 0 0]; %NickToons TV 
% specification(268,:)=[0 0 0]; %Noggin 
% specification(269,:)=[0 0 0]; %The N 
% specification(270,:)=[0 0 0]; %Northwest Cable News 
% specification(271,:)=[0 0 0]; %Ohio News Network 
% specification(272,:)=[0 0 0]; %Outdoor Channel 
% specification(273,:)=[0 0 0]; %Outdoor Channel 2 HD 
% specification(274,:)=[0 0 0]; %Outdoor Channel On Demand 
% specification(275,:)=[0 0 0]; %Ovation 
% specification(276,:)=[0 0 0]; %Oxygen 
% specification(277,:)=[0 0 0]; %Oxygen On Demand 
% specification(278,:)=[0 0 0]; %Palladia 
% specification(279,:)=[0 0 0]; %PBS HD 
% specification(280,:)=[0 0 0]; %PBS Kids Sprout 
% specification(281,:)=[0 0 0]; %Pittsburgh Cable News Channel 
% specification(282,:)=[0 0 0]; %Playboy TV 
% specification(283,:)=[0 0 0]; %Qubo 
% specification(284,:)=[0 0 0]; %QVC 
% specification(285,:)=[0 0 0]; %QVC HD 
% specification(286,:)=[0 0 0]; %ReelzChannel 
% specification(287,:)=[0 0 0]; %Rhode Island News Channel 
% specification(288,:)=[0 0 0]; %Science Channel HD 
% specification(289,:)=[0 0 0]; %Syfy 
% specification(290,:)=[0 0 0]; %Shop at Home 
% specification(291,:)=[0 0 0]; %ShopNBC 
% specification(292,:)=[0 0 0]; %Showtime 
% specification(293,:)=[0 0 0]; %Showtime HD 
% specification(294,:)=[0 0 0]; %Showtime On Demand 
% specification(295,:)=[0 0 0]; %Showtime Too 
% specification(296,:)=[0 0 0]; %Si TV 
% specification(297,:)=[0 0 0]; %Sleuth 
% specification(298,:)=[0 0 0]; %Smithsonian Channel HD 
% specification(299,:)=[0 0 0]; %SoapNet 
% specification(300,:)=[0 0 0]; %Sorpresa 
% specification(301,:)=[0 0 0]; %Speed Channel 
% specification(302,:)=[0 0 0]; %Speed HD 
% specification(303,:)=[0 0 0]; %Speed On Demand 
% specification(304,:)=[0 0 0]; %Spike TV 
% specification(305,:)=[0 0 0]; %Spike TV HD 
% specification(306,:)=[0 0 0]; %SportsNet New York 
% specification(307,:)=[0 0 0]; %SportSouth 
% specification(308,:)=[0 0 0]; %SportsTime Ohio 
% specification(309,:)=[0 0 0]; %Starz 
% specification(310,:)=[0 0 0]; %Starz Cinema 
% specification(311,:)=[0 0 0]; %Starz Comedy 
% specification(312,:)=[0 0 0]; %Starz Edge 
% specification(313,:)=[0 0 0]; %Starz HDTV 
% specification(314,:)=[0 0 0]; %Starz InBlack 
% specification(315,:)=[0 0 0]; %Starz IndiePlex 
% specification(316,:)=[0 0 0]; %Starz Kids & Family 
% specification(317,:)=[0 0 0]; %Starz On Demand 
% specification(318,:)=[0 0 0]; %Starz RetroPlex 
% specification(319,:)=[0 0 0]; %Style Network 
% specification(320,:)=[0 0 0]; %SunSports TV 
% specification(321,:)=[0 0 0]; %Sundance Channel 
% specification(322,:)=[0 0 0]; %Sunshine Network 
% specification(323,:)=[0 0 0]; %Superstation WGN 
% specification(324,:)=[0 0 0]; %Syfy HD 
% specification(325,:)=[0 0 0]; %TBN HD 
% specification(326,:)=[0 0 0]; %TBS Superstation 
% specification(327,:)=[0 0 0]; %TBS in HD 
% specification(328,:)=[0 0 0]; %Tennis Channel 
% specification(329,:)=[0 0 0]; %Tennis Channel HD 
% specification(330,:)=[0 0 0]; %Texas Cable News 
% specification(331,:)=[0 0 0]; %The Comcast Network 
% specification(332,:)=[0 0 0]; %The Movie Channel 
% specification(333,:)=[0 0 0]; %The Movie Channel HD 
% specification(334,:)=[0 0 0]; %The Movie Channel On Demand 
% specification(335,:)=[0 0 0]; %the mtn 
% specification(336,:)=[0 0 0]; %The New Encore 
% specification(337,:)=[0 0 0]; %Discovery Science Channel 
% specification(338,:)=[0 0 0]; %The Sportsman Channel 
% specification(339,:)=[0 0 0]; %The Weather Channel 
% specification(340,:)=[0 0 0]; %Time Warner Sports Milwaukee 
% specification(341,:)=[0 0 0]; %TLC 
% specification(342,:)=[0 0 0]; %TLC HD 
% specification(343,:)=[1 1 1]; %TNT 
% specification(344,:)=[0 0 0]; %Toon Disney 
% specification(345,:)=[0 0 0]; %Toon Disney en Espanol 
% specification(346,:)=[0 0 0]; %Toon Disney HD 
% specification(347,:)=[0 0 0]; %Travel Channel 
% specification(348,:)=[0 0 0]; %Travel Channel HD 
% specification(349,:)=[0 0 0]; %Trio 
% specification(350,:)=[0 0 0]; %Turner Classic Movies 
% specification(351,:)=[0 0 0]; %Turner Network TV HD 
% specification(352,:)=[0 0 0]; %Turner South 
% specification(353,:)=[0 0 0]; %TV Guide Channel 
% specification(354,:)=[0 0 0]; %TV Land 
% specification(355,:)=[0 0 0]; %TV One 
% specification(356,:)=[0 0 0]; %TVG Network 
% specification(357,:)=[0 0 0]; %Universal HD 
% specification(358,:)=[1 1 1]; %USA Network 
% specification(359,:)=[0 0 0]; %USA Network HD 
% specification(360,:)=[0 0 0]; %Versus 
% specification(361,:)=[0 0 0]; %Versus HD 
% specification(362,:)=[0 0 0]; %Versus On Demand 
% specification(363,:)=[0 0 0]; %VH1 
% specification(364,:)=[0 0 0]; %VH1 Classic 
% specification(365,:)=[0 0 0]; %VH1 HD 
% specification(366,:)=[0 0 0]; %VH1 Soul 
% specification(367,:)=[0 0 0]; %VHUNO 
% specification(368,:)=[0 0 0]; %WAM! America's Kidz Network 
% specification(369,:)=[0 0 0]; %WE: Women's Entertainment 
% specification(370,:)=[0 0 0]; %WealthTV 
% specification(371,:)=[0 0 0]; %WealthTV HD 
% specification(372,:)=[0 0 0]; %Weather Channel HD 
% specification(373,:)=[0 0 0]; %World Cinema HD 
% specification(374,:)=[0 0 0]; %Yankees Entertainment & Sports (YES)
% specification(375,:)=[0 0 0]; %YES HD 

load names
k=1;
for j=1:length(specification(:,1))
    if (specification(j,1)==1)
        D_names(k,:)=names(j,:);
        k=k+1;
    end
end

%1 = exponential
%2 = log_normal
%3 = rayleigh
parametric_family_of_marginal_distributions=1;
%1=gaussian
%2=t(1.5)
%3=t(2)
%4=t(3)
copula_parametric_family=1;

%% END SPECIFICATION OPTIONS

disp('Options Set.');



